
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.joda.time.PeriodType periodType1 = org.joda.time.PeriodType.days();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = new org.joda.time.Period((java.lang.Object)1.0d, periodType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.DateFormatSymbols dateFormatSymbols1 = org.joda.time.DateTimeUtils.getDateFormatSymbols(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField5 = new org.joda.time.field.DividedDateTimeField(dateTimeField2, dateTimeFieldType3, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(10L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Period period5 = period1.plusWeeks(0);
    org.joda.time.Period period6 = period5.normalizedStandard();
    // The following exception was thrown during execution in test generation
    try {
      int i8 = period5.getValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.secondOfMinute();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField7 = new org.joda.time.field.DividedDateTimeField(dateTimeField4, dateTimeFieldType5, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Period period5 = period1.plusWeeks(0);
    org.joda.time.Period period6 = period5.normalizedStandard();
    org.joda.time.DurationFieldType durationFieldType7 = null;
    int i8 = period5.indexOf(durationFieldType7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType10 = period5.getFieldType((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(100, (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DurationField durationField1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField2 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.millisOfSecond();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField7 = new org.joda.time.field.DividedDateTimeField(dateTimeField4, dateTimeFieldType5, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    // The following exception was thrown during execution in test generation
    try {
      long long15 = zonedChronology10.getDateTimeMillis(100, 100, 10, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Hours hours4 = period3.toStandardHours();
    org.joda.time.PeriodType periodType5 = period3.getPeriodType();
    org.joda.time.DurationFieldType durationFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period8 = period3.withFieldAdded(durationFieldType6, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInstant0, readableInstant1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardSeconds(100L);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.Chronology chronology7 = iSOChronology4.withZone(dateTimeZone6);
    org.joda.time.Period period8 = new org.joda.time.Period(10L, chronology7);
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)100L, (java.lang.Object)10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.joda.time.tz.NameProvider nameProvider0 = null;
    org.joda.time.DateTimeZone.setNameProvider(nameProvider0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1.0d), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long6 = fixedDateTimeZone4.previousTransition(1L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology8 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long6 = fixedDateTimeZone4.previousTransition(1L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology8 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.joda.time.tz.NameProvider nameProvider0 = org.joda.time.DateTimeZone.getNameProvider();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nameProvider0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.ReadablePartial readablePartial12 = null;
    int[] i_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology1.validate(readablePartial12, i_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = org.joda.time.Period.fieldDifference(readablePartial0, readablePartial1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.joda.time.DurationField durationField0 = null;
    org.joda.time.DurationFieldType durationFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField2 = new org.joda.time.field.DecoratedDurationField(durationField0, durationFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    java.lang.String str5 = period4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "P-1Y"+ "'", str5.equals("P-1Y"));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-6010001L));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.DurationFieldType[] durationFieldType_array1 = new org.joda.time.DurationFieldType[] { durationFieldType0 };
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.forFields(durationFieldType_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType_array1);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.secondOfMinute();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField7 = new org.joda.time.field.DividedDateTimeField(dateTimeField4, dateTimeFieldType5, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField3 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology12 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone6, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period3 = new org.joda.time.Period((java.lang.Object)(byte)(-1), (org.joda.time.Chronology)iSOChronology2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration1 = org.joda.time.Duration.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField12 = new org.joda.time.field.RemainderDateTimeField(dateTimeField9, dateTimeFieldType10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = zonedChronology10.getDateTimeMillis((-1), 100, 10, (-1), 100, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField9, 8, (-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    // The following exception was thrown during execution in test generation
    try {
      long long15 = durationField12.subtract(0L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10, 0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    // The following exception was thrown during execution in test generation
    try {
      long long15 = iSOChronology1.getDateTimeMillis(10L, 100, 1, 1, 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 8, 0, 10);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(99L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.getDefault();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "Millis");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-100L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.joda.time.Period period0 = org.joda.time.Period.ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period0);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = iSOChronology1.getZone();
    long long6 = dateTimeZone2.convertLocalToUTC((-6010001L), true, (-28800001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 22789999L);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.joda.time.Duration duration10 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType11 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology12 = null;
    org.joda.time.Period period13 = duration10.toPeriod(periodType11, chronology12);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period14 = new org.joda.time.Period(1, 10, 1, 0, 100, 1, 0, 0, periodType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 8, 0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 8);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    org.joda.time.Period period7 = org.joda.time.Period.millis(1);
    org.joda.time.Period period9 = period7.plusSeconds(10);
    org.joda.time.Period period11 = period7.plusMillis(1);
    int i12 = period11.size();
    org.joda.time.Period period13 = period5.withFields((org.joda.time.ReadablePeriod)period11);
    org.joda.time.DurationFieldType durationFieldType14 = null;
    boolean b15 = period13.isSupported(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1, 0, 10);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(100L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    org.joda.time.DurationField durationField6 = offsetDateTimeField5.getLeapDurationField();
    org.joda.time.ReadablePartial readablePartial7 = null;
    int[] i_array12 = new int[] { 1, 100, 10 };
    java.util.Locale locale14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array15 = offsetDateTimeField5.set(readablePartial7, 0, i_array12, "", locale14);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField2 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.DurationFieldType durationFieldType5 = null;
    int i6 = period2.get(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.PeriodType periodType2 = periodType0.withDaysRemoved();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone13 = null;
    org.joda.time.Chronology chronology14 = iSOChronology4.withZone(dateTimeZone13);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period15 = new org.joda.time.Period((java.lang.Object)periodType0, (org.joda.time.Chronology)iSOChronology4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.DataOutput dataOutput2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("PT100S", dataOutput2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType3 = periodType2.withHoursRemoved();
    org.joda.time.Period period4 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period6 = period4.minusWeeks(1);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long7 = fixedDateTimeZone4.convertLocalToUTC(0L, false);
    java.lang.String str9 = fixedDateTimeZone4.getShortName(0L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, 101);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "+00:00"+ "'", str9.equals("+00:00"));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = zonedChronology10.getDateTimeMillis((-1), 0, (-1), 1, 100, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.util.Set set0 = org.joda.time.DateTimeZone.getAvailableIDs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period2.plusSeconds((-1));
    org.joda.time.Seconds seconds7 = period6.toStandardSeconds();
    org.joda.time.PeriodType periodType8 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType9 = periodType8.withHoursRemoved();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period10 = period6.withPeriodType(periodType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType9);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    int i11 = offsetDateTimeField5.getOffset();
    org.joda.time.ReadablePartial readablePartial12 = null;
    java.util.Locale locale13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = offsetDateTimeField5.getAsText(readablePartial12, locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    org.joda.time.Period period7 = org.joda.time.Period.millis(1);
    org.joda.time.Period period9 = period7.plusSeconds(10);
    org.joda.time.Period period11 = period7.plusMillis(1);
    int i12 = period11.size();
    org.joda.time.Period period13 = period5.withFields((org.joda.time.ReadablePeriod)period11);
    org.joda.time.Period period15 = period11.minusYears(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType17 = period11.getFieldType((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    java.lang.String str6 = fixedDateTimeZone4.getName(10L);
    int i8 = fixedDateTimeZone4.getStandardOffset((-28800001L));
    int i10 = fixedDateTimeZone4.getOffsetFromLocal(1L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology12 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "+00:00"+ "'", str6.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test067() {}
// Defects4J: flaky method
//   @Test
//   public void test067() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     org.joda.time.ReadablePartial readablePartial13 = null;
//     int[] i_array15 = null;
//     java.util.Locale locale17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array18 = offsetDateTimeField5.set(readablePartial13, 100, i_array15, "P-1Y", locale17);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
// 
//   }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.yearWeekDayTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period3 = new org.joda.time.Period(readablePartial0, readablePartial1, periodType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10000);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 10);
    int i13 = offsetDateTimeField11.getMaximumValue((-28800001L));
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField16 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 34);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    int i11 = offsetDateTimeField5.getOffset();
    org.joda.time.ReadablePartial readablePartial12 = null;
    int[] i_array14 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array16 = offsetDateTimeField5.set(readablePartial12, 1, i_array14, 8);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.millis();
    java.lang.String str1 = periodType0.getName();
    java.lang.String str2 = periodType0.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Millis"+ "'", str1.equals("Millis"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Millis"+ "'", str2.equals("Millis"));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-6010001L), (-14400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-20410001L));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-2488320086400000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 101, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    java.io.OutputStream outputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("+00:00", outputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.Chronology chronology12 = zonedChronology10.withZone(dateTimeZone11);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = zonedChronology10.getDateTimeMillis(1L, 100, 101, 10000, 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);

  }

  @Test
  public void test078() {}
// Defects4J: flaky method
//   @Test
//   public void test078() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     org.joda.time.ReadablePartial readablePartial10 = null;
//     int[] i_array15 = new int[] { 10, 10, 0 };
//     java.util.Locale locale17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array18 = offsetDateTimeField5.set(readablePartial10, 0, i_array15, "", locale17);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array15);
// 
//   }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "+00:00");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.ReadablePartial readablePartial3 = null;
    int[] i_array4 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology1.validate(readablePartial3, i_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.ReadablePartial readablePartial8 = null;
    int[] i_array12 = new int[] { 1, 1, (-1) };
    // The following exception was thrown during execution in test generation
    try {
      copticChronology7.validate(readablePartial8, i_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone7 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long10 = fixedDateTimeZone7.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology11 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology2, (org.joda.time.DateTimeZone)fixedDateTimeZone7);
    org.joda.time.DurationField durationField12 = iSOChronology2.years();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField13 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test084() {}
// Defects4J: flaky method
//   @Test
//   public void test084() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     java.util.Locale locale14 = null;
//     java.lang.String str15 = offsetDateTimeField5.getAsText(10, locale14);
//     org.joda.time.DateTimeFieldType dateTimeFieldType16 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.OffsetDateTimeField offsetDateTimeField18 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType16, (-1));
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "10"+ "'", str15.equals("10"));
// 
//   }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.ReadableInstant readableInstant1 = null;
    int i2 = dateTimeZone0.getOffset(readableInstant1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.CopticChronology copticChronology1 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone0);
    // The following exception was thrown during execution in test generation
    try {
      long long7 = copticChronology1.getDateTimeMillis((-20410001L), 10000, 0, 101, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology1);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.weekOfWeekyear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone19);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone25 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long28 = fixedDateTimeZone25.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology29 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology20, (org.joda.time.DateTimeZone)fixedDateTimeZone25);
    int i31 = fixedDateTimeZone25.getStandardOffset(0L);
    org.joda.time.ReadableInterval readableInterval32 = null;
    org.joda.time.ReadableInterval readableInterval33 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval32);
    boolean b34 = fixedDateTimeZone25.equals((java.lang.Object)readableInterval32);
    org.joda.time.Chronology chronology35 = iSOChronology1.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology1.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(125, 10000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration1 = org.joda.time.Duration.parse("CopticChronology[]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology1.secondOfMinute();
    // The following exception was thrown during execution in test generation
    try {
      long long19 = iSOChronology1.getDateTimeMillis(10000, 34, 0, 4, 1, 0, 101);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 0, 34, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = new org.joda.time.Period(readablePartial0, readablePartial1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    java.io.OutputStream outputStream5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("", outputStream5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 10, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, (-14400000L), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardSeconds(100L);
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.Period period3 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration1, readableInstant2);
    org.joda.time.Minutes minutes4 = duration1.toStandardMinutes();
    org.joda.time.Duration duration5 = duration1.toDuration();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration5);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    java.util.Locale locale10 = null;
    java.lang.String str11 = offsetDateTimeField5.getAsShortText(10, locale10);
    int i13 = offsetDateTimeField5.getLeapAmount(0L);
    int i15 = offsetDateTimeField5.getMaximumValue(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "10"+ "'", str11.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 101);

  }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = offsetDateTimeField5.getAsShortText(10, locale10);
//     int i13 = offsetDateTimeField5.getLeapAmount(0L);
//     long long15 = offsetDateTimeField5.roundHalfEven(10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "10"+ "'", str11.equals("10"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 0L);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period1 = org.joda.time.Period.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis(1L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test103() {}
// Defects4J: flaky method
//   @Test
//   public void test103() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
//     org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 101);
//     org.joda.time.ReadablePartial readablePartial12 = null;
//     org.joda.time.Duration duration14 = org.joda.time.Duration.standardDays((-28800001L));
//     org.joda.time.Duration duration16 = duration14.plus(1L);
//     org.joda.time.ReadableInstant readableInstant17 = null;
//     org.joda.time.Period period18 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration16, readableInstant17);
//     int[] i_array19 = period18.getValues();
//     int i20 = offsetDateTimeField11.getMaximumValue(readablePartial12, i_array19);
//     long long22 = offsetDateTimeField11.roundHalfEven((-57600001L));
//     org.joda.time.DateTimeZone dateTimeZone23 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone23);
//     org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology24.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField28 = new org.joda.time.field.OffsetDateTimeField(dateTimeField26, 100);
//     long long30 = offsetDateTimeField28.roundHalfCeiling(10L);
//     long long32 = offsetDateTimeField28.roundHalfCeiling((-14400000L));
//     long long35 = offsetDateTimeField28.add((-100L), 0L);
//     int i38 = offsetDateTimeField28.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField54 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField28, dateTimeFieldType50, 100);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType50, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 125);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == (-57600000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long30 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long35 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
// 
//   }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1089);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.joda.time.PeriodType periodType8 = org.joda.time.PeriodType.days();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period9 = new org.joda.time.Period((-10), 1089, 34, (-10), (-10), 0, (-10), 100, periodType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    long long0 = org.joda.time.DateTimeUtils.currentTimeMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long0 == (-6010001L));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.seconds();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("Millis", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.joda.time.Period period8 = new org.joda.time.Period((-1), 101, 10, 34, 0, 1, 4, 125);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Hours hours4 = period3.toStandardHours();
    int i5 = period3.getDays();
    int i6 = period3.size();
    org.joda.time.DurationFieldType durationFieldType7 = null;
    int i8 = period3.indexOf(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("101");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.joda.time.format.PeriodFormatter periodFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = org.joda.time.Period.parse("hi!", periodFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.weeks();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period3 = new org.joda.time.Period(readablePartial0, readablePartial1, periodType2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology4.hourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    org.joda.time.Period period6 = new org.joda.time.Period((java.lang.Object)period5);
    int i7 = period5.getDays();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone4);
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField(dateTimeField7, 100);
    long long12 = offsetDateTimeField9.add(100L, 0L);
    boolean b14 = offsetDateTimeField9.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = offsetDateTimeField9.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType15, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, dateTimeFieldType15, 4, 4, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField22 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType15);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getMillis((-604799900L), (-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.joda.time.Period period1 = org.joda.time.Period.weeks(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.joda.time.ReadableInstant readableInstant8 = null;
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.PeriodType periodType10 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType11 = periodType10.withHoursRemoved();
    org.joda.time.Period period12 = new org.joda.time.Period(readableInstant8, readableInstant9, periodType11);
    org.joda.time.DurationFieldType durationFieldType13 = null;
    boolean b14 = periodType11.isSupported(durationFieldType13);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period15 = new org.joda.time.Period(4, (-1), 4, 8, 1, (-1), 10000, 0, periodType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Duration duration4 = new org.joda.time.Duration(readableInstant2, readableInstant3);
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone5);
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology6.millisOfSecond();
    org.joda.time.Period period10 = duration4.toPeriod((org.joda.time.Chronology)iSOChronology6);
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology6.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField11, 10);
    int i15 = offsetDateTimeField13.getMaximumValue((-28800001L));
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)periodType0, (java.lang.Object)offsetDateTimeField13);
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField19 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField13, dateTimeFieldType17, 1089);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.era();
    org.joda.time.DurationField durationField2 = iSOChronology0.years();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period3 = new org.joda.time.Period((java.lang.Object)durationField2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    int i0 = org.joda.time.chrono.CopticChronology.AM;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    long long3 = org.joda.time.DateTimeUtils.getDurationMillis((org.joda.time.ReadableDuration)duration2);
    org.joda.time.Duration duration6 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.Period period9 = duration6.toPeriod(periodType7, chronology8);
    boolean b10 = duration2.isLongerThan((org.joda.time.ReadableDuration)duration6);
    org.joda.time.Period period11 = duration2.toPeriod();
    org.joda.time.Period period13 = period11.plusWeeks(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);

  }

  @Test
  public void test125() {}
// Defects4J: flaky method
//   @Test
//   public void test125() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     int i9 = offsetDateTimeField5.getLeapAmount(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long12 = offsetDateTimeField5.set(100L, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
// 
//   }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(34, 34, 34, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 68);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    // The following exception was thrown during execution in test generation
    try {
      long long11 = offsetDateTimeField5.set(22789999L, 10000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone0);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology1.getDateTimeMillis(34, 1089, 10000, 10000, 101, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology2 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone0, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.joda.time.Period period1 = org.joda.time.Period.years(125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone2);
    org.joda.time.Period period4 = new org.joda.time.Period((-6010001L), 1L, (org.joda.time.Chronology)iSOChronology3);
    org.joda.time.Period period6 = period4.minusMillis(100);
    org.joda.time.Period period8 = period4.plusMinutes(10);
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.Duration duration10 = period8.toDurationTo(readableInstant9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration10);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100, 0, 68, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    long long1 = org.joda.time.DateTimeUtils.getInstantMillis(readableInstant0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-6010001L));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration1 = org.joda.time.Duration.standardDays((-2488320086400000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-28800001L), 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-28800100L));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.PeriodType periodType6 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType7 = periodType6.withHoursRemoved();
    org.joda.time.Period period8 = new org.joda.time.Period(readableInstant4, readableInstant5, periodType7);
    org.joda.time.Period period9 = duration2.toPeriodFrom(readableInstant3, periodType7);
    long long10 = duration2.getStandardHours();
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.PeriodType periodType12 = org.joda.time.PeriodType.yearMonthDay();
    org.joda.time.Period period13 = duration2.toPeriodTo(readableInstant11, periodType12);
    org.joda.time.Minutes minutes14 = duration2.toStandardMinutes();
    org.joda.time.Duration duration16 = duration2.withMillis(1089L);
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.Period period18 = duration16.toPeriodFrom(readableInstant17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period18);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.joda.time.Duration duration0 = org.joda.time.Duration.ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration0);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    // The following exception was thrown during execution in test generation
    try {
      long long23 = zonedChronology18.getDateTimeMillis(0, (-1), 68, 34);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.withMillis(0);
    org.joda.time.Period period6 = period5.normalizedStandard();
    org.joda.time.Hours hours7 = period6.toStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours7);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(5940000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5940000);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    // The following exception was thrown during execution in test generation
    try {
      long long26 = copticChronology7.getDateTimeMillis(4, 4, 10, 547200, 5940000, 34, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.DurationFieldType durationFieldType4 = null;
    boolean b5 = period1.isSupported(durationFieldType4);
    org.joda.time.Period period7 = period1.withMillis((-1));
    org.joda.time.Period period9 = period7.plusDays(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfEven((-57600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == (-43200000L));
// 
//   }

  @Test
  public void test147() {}
// Defects4J: flaky method
//   @Test
//   public void test147() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
//     org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
//     org.joda.time.Period period6 = period4.minusMinutes(10);
//     long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
//     org.joda.time.DurationField durationField10 = iSOChronology1.eras();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
//     long long18 = offsetDateTimeField16.roundHalfCeiling(10L);
//     org.joda.time.DurationField durationField19 = offsetDateTimeField16.getLeapDurationField();
//     boolean b20 = iSOChronology1.equals((java.lang.Object)offsetDateTimeField16);
//     org.joda.time.ReadablePartial readablePartial21 = null;
//     java.util.Locale locale22 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str23 = offsetDateTimeField16.getAsText(readablePartial21, locale22);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == (-6010001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
// 
//   }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 101);
    org.joda.time.ReadablePartial readablePartial12 = null;
    org.joda.time.Duration duration14 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration16 = duration14.plus(1L);
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.Period period18 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration16, readableInstant17);
    int[] i_array19 = period18.getValues();
    int i20 = offsetDateTimeField11.getMaximumValue(readablePartial12, i_array19);
    long long22 = offsetDateTimeField11.roundHalfEven((-57600001L));
    org.joda.time.ReadablePartial readablePartial23 = null;
    org.joda.time.ReadableInstant readableInstant25 = null;
    org.joda.time.ReadableInstant readableInstant26 = null;
    org.joda.time.Duration duration27 = new org.joda.time.Duration(readableInstant25, readableInstant26);
    org.joda.time.DateTimeZone dateTimeZone28 = null;
    org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone28);
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField31 = iSOChronology29.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology29.millisOfSecond();
    org.joda.time.Period period33 = duration27.toPeriod((org.joda.time.Chronology)iSOChronology29);
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology29.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField35 = iSOChronology29.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone36 = null;
    org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField39 = iSOChronology37.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField41 = new org.joda.time.field.OffsetDateTimeField(dateTimeField39, 100);
    long long44 = offsetDateTimeField41.add(100L, 0L);
    boolean b46 = offsetDateTimeField41.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = offsetDateTimeField41.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType47, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField50 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField35, dateTimeFieldType47);
    org.joda.time.ReadablePartial readablePartial51 = null;
    org.joda.time.ReadableInstant readableInstant52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.Duration duration54 = new org.joda.time.Duration(readableInstant52, readableInstant53);
    org.joda.time.DateTimeZone dateTimeZone55 = null;
    org.joda.time.chrono.ISOChronology iSOChronology56 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone55);
    org.joda.time.DateTimeField dateTimeField57 = iSOChronology56.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology56.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology56.millisOfSecond();
    org.joda.time.Period period60 = duration54.toPeriod((org.joda.time.Chronology)iSOChronology56);
    org.joda.time.DateTimeField dateTimeField61 = iSOChronology56.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField63 = new org.joda.time.field.OffsetDateTimeField(dateTimeField61, 101);
    org.joda.time.DateTimeField dateTimeField64 = offsetDateTimeField63.getWrappedField();
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField63.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField50.getMinimumValue(readablePartial51, i_array72);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array76 = offsetDateTimeField11.addWrapField(readablePartial23, 0, i_array72, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-57600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    org.joda.time.DurationFieldType durationFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField15 = new org.joda.time.field.ScaledDurationField(durationField12, durationFieldType13, 1089);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Duration duration4 = new org.joda.time.Duration(readableInstant2, readableInstant3);
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.PeriodType periodType8 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType9 = periodType8.withHoursRemoved();
    org.joda.time.Period period10 = new org.joda.time.Period(readableInstant6, readableInstant7, periodType9);
    org.joda.time.Period period11 = duration4.toPeriodTo(readableInstant5, periodType9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period12 = new org.joda.time.Period(readablePartial0, readablePartial1, periodType9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 100: Value \"+00:00\" for halfdayOfDay is not supported", 8, 1, 60);

  }

  @Test
  public void test152() {}
// Defects4J: flaky method
//   @Test
//   public void test152() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     org.joda.time.DurationField durationField32 = dividedDateTimeField31.getDurationField();
//     int i33 = dividedDateTimeField31.getDivisor();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long36 = dividedDateTimeField31.set(0L, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 100);
// 
//   }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.joda.time.Period period1 = org.joda.time.Period.days((-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.Duration duration6 = period4.toDurationFrom(readableInstant5);
    org.joda.time.Duration duration8 = duration6.minus(100L);
    org.joda.time.ReadableInstant readableInstant9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Interval interval10 = duration8.toIntervalFrom(readableInstant9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration8);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Period period4 = duration2.toPeriodFrom(readableInstant3);
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType6 = periodType5.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology8.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone12);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long21 = fixedDateTimeZone18.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology13, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.chrono.ZonedChronology zonedChronology23 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology8, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone24);
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology25.getZone();
    org.joda.time.Chronology chronology27 = zonedChronology23.withZone(dateTimeZone26);
    org.joda.time.Period period28 = duration2.toPeriod(periodType5, chronology27);
    org.joda.time.Duration duration30 = org.joda.time.Duration.standardSeconds(100L);
    org.joda.time.ReadableInstant readableInstant31 = null;
    org.joda.time.Period period32 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration30, readableInstant31);
    org.joda.time.ReadableInstant readableInstant33 = null;
    org.joda.time.Period period34 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration30, readableInstant33);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period35 = period28.plus((org.joda.time.ReadablePeriod)period34);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration30);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.joda.time.Period period0 = new org.joda.time.Period();

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.era();
    org.joda.time.DurationField durationField2 = iSOChronology0.years();
    org.joda.time.DurationFieldType durationFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField5 = new org.joda.time.field.ScaledDurationField(durationField2, durationFieldType3, 34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    int i9 = period8.getDays();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long7 = fixedDateTimeZone4.convertLocalToUTC(1L, true);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology9 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(22789999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 22789999);

  }

  @Test
  public void test161() {}
// Defects4J: flaky method
//   @Test
//   public void test161() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }
// 
// 
//     org.joda.time.chrono.CopticChronology copticChronology0 = org.joda.time.chrono.CopticChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = copticChronology0.weekyearOfCentury();
//     java.lang.String str2 = copticChronology0.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long7 = copticChronology0.getDateTimeMillis(547200, 100, 100, 60);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "CopticChronology[]"+ "'", str2.equals("CopticChronology[]"));
// 
//   }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.PeriodType periodType2 = periodType1.withMonthsRemoved();
    org.joda.time.DurationFieldType durationFieldType3 = null;
    int i4 = periodType2.indexOf(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test163() {}
// Defects4J: flaky method
//   @Test
//   public void test163() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     org.joda.time.DurationField durationField32 = dividedDateTimeField31.getDurationField();
//     org.joda.time.DurationField durationField33 = dividedDateTimeField31.getDurationField();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField33);
// 
//   }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-604799900L), (-6011000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3635452198900000L);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.centuries();
    org.joda.time.DurationFieldType durationFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField15 = new org.joda.time.field.ScaledDurationField(durationField12, durationFieldType13, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.Chronology chronology8 = copticChronology7.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long16 = copticChronology7.getDateTimeMillis(1089, (-1), 4, 604800, 0, 22789999, 60);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);

  }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
//     long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
//     org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
//     org.joda.time.DurationField durationField11 = iSOChronology1.years();
//     org.joda.time.DurationField durationField12 = iSOChronology1.halfdays();
//     long long15 = durationField12.subtract(1089L, (-9119));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 393940801089L);
// 
//   }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.PeriodType periodType6 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType7 = periodType6.withHoursRemoved();
    org.joda.time.Period period8 = new org.joda.time.Period(readableInstant4, readableInstant5, periodType7);
    org.joda.time.Period period9 = duration2.toPeriodFrom(readableInstant3, periodType7);
    org.joda.time.DurationFieldType durationFieldType10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period12 = period9.withFieldAdded(durationFieldType10, (-9119));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      int i17 = unsupportedDateTimeField15.get((-57600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Period period5 = period1.plusWeeks(0);
    org.joda.time.Period period6 = period5.normalizedStandard();
    org.joda.time.DurationFieldType durationFieldType7 = null;
    int i8 = period5.indexOf(durationFieldType7);
    org.joda.time.Minutes minutes9 = period5.toStandardMinutes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes9);

  }

  @Test
  public void test172() {}
// Defects4J: flaky method
//   @Test
//   public void test172() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
//     org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
//     long long19 = offsetDateTimeField16.add(100L, 0L);
//     boolean b21 = offsetDateTimeField16.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
//     org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
//     org.joda.time.DateTimeZone dateTimeZone26 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
//     org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
//     org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
//     org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
//     org.joda.time.Period period35 = period33.minusMinutes(10);
//     long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
//     org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
//     long long42 = durationField39.subtract(100L, 1);
//     org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
//     long long46 = durationField39.subtract((-28800001L), 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long38 == (-6010001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long42 == (-604799900L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long46 == (-633600001L));
// 
//   }

  @Test
  public void test173() {}
// Defects4J: flaky method
//   @Test
//   public void test173() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
//     long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
//     org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
//     org.joda.time.DurationField durationField11 = iSOChronology1.years();
//     org.joda.time.DurationField durationField12 = iSOChronology1.halfdays();
//     java.lang.String str13 = iSOChronology1.toString();
//     org.joda.time.ReadablePartial readablePartial14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long16 = iSOChronology1.set(readablePartial14, 1089L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "ISOChronology[]"+ "'", str13.equals("ISOChronology[]"));
// 
//   }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.PeriodType periodType2 = periodType1.withMonthsRemoved();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType4 = periodType2.getFieldType(547200);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.weeks();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology1.minuteOfHour();
    // The following exception was thrown during execution in test generation
    try {
      long long21 = iSOChronology1.getDateTimeMillis((-9119), 604800, 604800, 1, (-9119), 10, 4);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-100L), (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test177() {}
// Defects4J: flaky method
//   @Test
//   public void test177() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
//     int i11 = offsetDateTimeField5.getLeapAmount((-57600001L));
//     java.lang.String str13 = offsetDateTimeField5.getAsText(1089L);
//     org.joda.time.DateTimeZone dateTimeZone14 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone14);
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone17 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone17);
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology18.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField(dateTimeField20, 100);
//     long long25 = offsetDateTimeField22.add(100L, 0L);
//     boolean b27 = offsetDateTimeField22.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType28 = offsetDateTimeField22.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType28, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, dateTimeFieldType28, 4, 4, 0);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType28, 68, 8, 604800);
//     org.joda.time.ReadablePartial readablePartial39 = null;
//     org.joda.time.ReadableInstant readableInstant41 = null;
//     org.joda.time.ReadableInstant readableInstant42 = null;
//     org.joda.time.Duration duration43 = new org.joda.time.Duration(readableInstant41, readableInstant42);
//     org.joda.time.DateTimeZone dateTimeZone44 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone44);
//     org.joda.time.DateTimeField dateTimeField46 = iSOChronology45.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField47 = iSOChronology45.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField48 = iSOChronology45.millisOfSecond();
//     org.joda.time.Period period49 = duration43.toPeriod((org.joda.time.Chronology)iSOChronology45);
//     org.joda.time.DateTimeField dateTimeField50 = iSOChronology45.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField51 = iSOChronology45.centuryOfEra();
//     org.joda.time.Period period53 = org.joda.time.Period.seconds((-1));
//     org.joda.time.Period period55 = period53.minusMinutes(10);
//     org.joda.time.Hours hours56 = period55.toStandardHours();
//     int i57 = period55.getDays();
//     int i58 = period55.size();
//     int[] i_array60 = iSOChronology45.get((org.joda.time.ReadablePeriod)period55, 99L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array62 = offsetDateTimeField38.addWrapPartial(readablePartial39, 60, i_array60, 5940000);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "100"+ "'", str13.equals("100"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b27 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(hours56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i57 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array60);
// 
//   }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-6010001L), 45600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-51610001L));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    org.joda.time.DateTimeZone dateTimeZone6 = dateTimeZoneBuilder0.toDateTimeZone("+00:00", false);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder9 = dateTimeZoneBuilder0.setFixedSavings("Millis", 0);
    java.io.DataOutput dataOutput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("10", dataOutput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder9);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-14400000L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.ReadableInstant readableInstant18 = null;
    org.joda.time.Duration duration19 = new org.joda.time.Duration(readableInstant17, readableInstant18);
    org.joda.time.DateTimeZone dateTimeZone20 = null;
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone20);
    org.joda.time.DateTimeField dateTimeField22 = iSOChronology21.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology21.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField24 = iSOChronology21.millisOfSecond();
    org.joda.time.Period period25 = duration19.toPeriod((org.joda.time.Chronology)iSOChronology21);
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology21.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField28 = new org.joda.time.field.OffsetDateTimeField(dateTimeField26, 101);
    org.joda.time.ReadablePartial readablePartial29 = null;
    org.joda.time.Duration duration31 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration33 = duration31.plus(1L);
    org.joda.time.ReadableInstant readableInstant34 = null;
    org.joda.time.Period period35 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration33, readableInstant34);
    int[] i_array36 = period35.getValues();
    int i37 = offsetDateTimeField28.getMaximumValue(readablePartial29, i_array36);
    // The following exception was thrown during execution in test generation
    try {
      int i38 = unsupportedDateTimeField15.getMinimumValue(readablePartial16, i_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 125);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10, 5940000, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    java.lang.String str4 = dateTimeZone2.getName((-14400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+01:01"+ "'", str4.equals("+01:01"));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount(28800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDateTimeField15.roundHalfFloor((-51610001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    int i4 = period3.size();
    org.joda.time.PeriodType periodType6 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType7 = periodType6.withHoursRemoved();
    org.joda.time.PeriodType periodType8 = periodType6.withDaysRemoved();
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone9);
    org.joda.time.DateTimeZone dateTimeZone11 = iSOChronology10.getZone();
    org.joda.time.Period period13 = org.joda.time.Period.millis(1);
    org.joda.time.Period period15 = period13.plusSeconds(10);
    org.joda.time.Period period17 = period13.withMillis(0);
    long long20 = iSOChronology10.add((org.joda.time.ReadablePeriod)period13, (-1L), 100);
    org.joda.time.DateTimeField dateTimeField21 = iSOChronology10.minuteOfDay();
    org.joda.time.Period period22 = new org.joda.time.Period(22789999L, periodType6, (org.joda.time.Chronology)iSOChronology10);
    org.joda.time.Period period23 = period3.normalizedStandard(periodType6);
    java.lang.String str24 = periodType6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "PeriodType[YearDay]"+ "'", str24.equals("PeriodType[YearDay]"));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDateTimeField15.addWrapField((-14400000L), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.Period period3 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    org.joda.time.Weeks weeks4 = period3.toStandardWeeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weeks4);

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
//     int i11 = offsetDateTimeField5.getLeapAmount((-57600001L));
//     java.lang.String str13 = offsetDateTimeField5.getAsText(1089L);
//     org.joda.time.DateTimeZone dateTimeZone14 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone14);
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone17 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone17);
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology18.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField(dateTimeField20, 100);
//     long long25 = offsetDateTimeField22.add(100L, 0L);
//     boolean b27 = offsetDateTimeField22.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType28 = offsetDateTimeField22.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType28, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, dateTimeFieldType28, 4, 4, 0);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType28, 68, 8, 604800);
//     org.joda.time.DateTimeFieldType dateTimeFieldType39 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField40 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField38, dateTimeFieldType39);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "100"+ "'", str13.equals("100"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b27 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType28);
// 
//   }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableDuration readableDuration1 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.Period period3 = new org.joda.time.Period(readableDuration1, readableInstant2);
    org.joda.time.Period period5 = period3.minusYears(1);
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.Duration duration7 = period5.toDurationFrom(readableInstant6);
    org.joda.time.Duration duration9 = duration7.minus(100L);
    org.joda.time.Period period10 = new org.joda.time.Period(readableInstant0, (org.joda.time.ReadableDuration)duration7);
    org.joda.time.Period period13 = new org.joda.time.Period((-57600001L), (-14400000L));
    boolean b14 = duration7.equals((java.lang.Object)period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      int i16 = unsupportedDateTimeField15.getMaximumValue();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = unsupportedDateTimeField15.getAsShortText(0, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = unsupportedDateTimeField15.getAsText(10000, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(5940000, 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 356400000);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DurationField durationField10 = iSOChronology1.weeks();
    long long13 = durationField10.subtract(100L, 1);
    // The following exception was thrown during execution in test generation
    try {
      long long16 = durationField10.subtract(5940000L, 3635452198900000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == (-604799900L));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("Millis", 4, 34, 0, ' ', 1, 125, 101, false, 10000);
    java.io.OutputStream outputStream16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("halfdayOfDay", outputStream16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Period period5 = period1.plusWeeks(0);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.Period period7 = period5.minus(readablePeriod6);
    org.joda.time.ReadableInstant readableInstant8 = null;
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.Duration duration10 = new org.joda.time.Duration(readableInstant8, readableInstant9);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.ReadableInstant readableInstant12 = null;
    org.joda.time.ReadableInstant readableInstant13 = null;
    org.joda.time.PeriodType periodType14 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType15 = periodType14.withHoursRemoved();
    org.joda.time.Period period16 = new org.joda.time.Period(readableInstant12, readableInstant13, periodType15);
    org.joda.time.Period period17 = duration10.toPeriodFrom(readableInstant11, periodType15);
    org.joda.time.ReadableInstant readableInstant18 = null;
    org.joda.time.ReadableInstant readableInstant19 = null;
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType21 = periodType20.withHoursRemoved();
    org.joda.time.Period period22 = new org.joda.time.Period(readableInstant18, readableInstant19, periodType21);
    org.joda.time.Period period23 = duration10.toPeriod(periodType21);
    org.joda.time.Period period24 = period7.normalizedStandard(periodType21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period26 = period24.plusWeeks(101);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period24);

  }

  @Test
  public void test199() {}
// Defects4J: flaky method
//   @Test
//   public void test199() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.ReadablePartial readablePartial16 = null;
//     java.util.Locale locale17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str18 = offsetDateTimeField5.getAsText(readablePartial16, locale17);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
// 
//   }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.millisOfSecond();
    org.joda.time.DurationField durationField5 = iSOChronology1.halfdays();
    org.joda.time.DurationField durationField6 = iSOChronology1.minutes();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology8.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone12);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long21 = fixedDateTimeZone18.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology13, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.chrono.ZonedChronology zonedChronology23 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology8, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone24);
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology25.getZone();
    org.joda.time.Chronology chronology27 = zonedChronology23.withZone(dateTimeZone26);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period28 = new org.joda.time.Period((java.lang.Object)durationField6, (org.joda.time.Chronology)zonedChronology23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = unsupportedDateTimeField15.getAsText(readablePartial16, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.joda.time.DurationField durationField0 = null;
    org.joda.time.PeriodType periodType1 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType2 = periodType1.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType4 = periodType2.getFieldType(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField5 = new org.joda.time.field.DecoratedDurationField(durationField0, durationFieldType4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType4);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = unsupportedDateTimeField15.getAsShortText(readablePartial16, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0f, (java.lang.Number)0.0f, (java.lang.Number)99L);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("100", 0, (-9119), 356400000, ' ', 10, 4, 0, false, 604800);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DurationField durationField10 = iSOChronology1.eras();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology1.secondOfMinute();
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology1.centuryOfEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount((-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType3 = periodType1.getFieldType(0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField4 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    // The following exception was thrown during execution in test generation
    try {
      int i7 = unsupportedDurationField4.getValue((-633600001L), 393940801089L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField4);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.days();
    org.joda.time.Period period3 = new org.joda.time.Period((-1L), (-6010001L), periodType2);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period5 = period3.plusYears(22789999);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);

  }

  @Test
  public void test211() {}
// Defects4J: flaky method
//   @Test
//   public void test211() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = offsetDateTimeField5.getAsText((-43200000L), locale10);
//     org.joda.time.DurationField durationField12 = offsetDateTimeField5.getLeapDurationField();
//     boolean b13 = offsetDateTimeField5.isLenient();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "101"+ "'", str11.equals("101"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
// 
//   }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDurationField1.add(28800000L, 60);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i17 = unsupportedDateTimeField15.getMaximumValue(readablePartial16);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 22789999, 356400000, 356400000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    // The following exception was thrown during execution in test generation
    try {
      int i16 = preciseDurationField13.getValue(3635452198900000L, (-57600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     boolean b10 = offsetDateTimeField5.isLeap(1089L);
//     org.joda.time.DurationField durationField11 = offsetDateTimeField5.getDurationField();
//     long long13 = offsetDateTimeField5.roundHalfFloor(0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 0L);
// 
//   }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis((-6011000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period4.minusMonths((-1));
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.Period period9 = period4.withPeriodType(periodType8);
    org.joda.time.Period period11 = period9.minusMonths(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.joda.time.PeriodType periodType2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.Period period13 = new org.joda.time.Period(100L, periodType2, (org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology4.year();
    org.joda.time.Period period15 = new org.joda.time.Period((-28800001L), (org.joda.time.Chronology)iSOChronology4);
    org.joda.time.Period period17 = period15.withHours(356400000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = gregorianChronology1.getZone();
    org.joda.time.Chronology chronology3 = gregorianChronology1.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long11 = gregorianChronology1.getDateTimeMillis((-841539), 68, 68, 356400000, (-9119), 1089, 43200000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Hours hours4 = period3.toStandardHours();
    org.joda.time.PeriodType periodType5 = period3.getPeriodType();
    org.joda.time.Duration duration6 = period3.toStandardDuration();
    org.joda.time.Period period8 = period3.withSeconds(10000);
    org.joda.time.Period period10 = period8.plusMonths(125);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration11 = new org.joda.time.Duration((java.lang.Object)125);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    java.util.Locale locale18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = unsupportedDateTimeField15.getAsText(readablePartial16, 604800, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(47024390000L, (-51610001L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() {}
// Defects4J: flaky method
//   @Test
//   public void test225() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     java.util.Locale locale3 = null;
//     java.lang.String str4 = dateTimeZone1.getName((-6010001L), locale3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "+00:00"+ "'", str4.equals("+00:00"));
// 
//   }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder3.addCutover(5940000, '4', 547200, 0, 22789999, false, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    boolean b16 = unsupportedDurationField1.equals((java.lang.Object)(-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      long long19 = unsupportedDurationField1.getMillis(0, (-20410000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDurationField1.getMillis(1L, 425989000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(1L);

  }

  @Test
  public void test231() {}
// Defects4J: flaky method
//   @Test
//   public void test231() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
//     org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
//     long long19 = offsetDateTimeField16.add(100L, 0L);
//     boolean b21 = offsetDateTimeField16.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
//     org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
//     org.joda.time.ReadablePartial readablePartial26 = null;
//     org.joda.time.ReadableInstant readableInstant27 = null;
//     org.joda.time.ReadableInstant readableInstant28 = null;
//     org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
//     org.joda.time.DateTimeZone dateTimeZone30 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
//     org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
//     org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
//     org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
//     org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
//     org.joda.time.ReadablePartial readablePartial40 = null;
//     org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
//     org.joda.time.Duration duration44 = duration42.plus(1L);
//     org.joda.time.ReadableInstant readableInstant45 = null;
//     org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
//     int[] i_array47 = period46.getValues();
//     int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
//     int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
//     int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
//     org.joda.time.ReadablePartial readablePartial52 = null;
//     org.joda.time.ReadableInstant readableInstant53 = null;
//     org.joda.time.ReadableInstant readableInstant54 = null;
//     org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
//     org.joda.time.DateTimeZone dateTimeZone56 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
//     org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
//     org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
//     org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
//     org.joda.time.ReadablePartial readablePartial65 = null;
//     org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
//     org.joda.time.Duration duration69 = duration67.plus(1L);
//     org.joda.time.ReadableInstant readableInstant70 = null;
//     org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
//     int[] i_array72 = period71.getValues();
//     int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
//     int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
//     org.joda.time.ReadablePartial readablePartial75 = null;
//     int[] i_array78 = new int[] { (-1), 1 };
//     int i79 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial75, i_array78);
//     long long81 = zeroIsMaxDateTimeField25.roundHalfCeiling((-2488320086400000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 125);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(duration69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i73 == 125);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i74 == 60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i79 == 60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long81 == (-2488320086400000L));
// 
//   }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    // The following exception was thrown during execution in test generation
    try {
      long long5 = iSOChronology1.add((-14400000L), 393940801089L, 356400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration1 = org.joda.time.Duration.parse("YearDay");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.getMillis((-841539), (-20410000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.joda.time.Period period1 = org.joda.time.Period.months(0);
    org.joda.time.Period period3 = org.joda.time.Period.millis(1);
    org.joda.time.Period period5 = period3.plusSeconds(10);
    org.joda.time.Period period7 = period3.plusMillis(1);
    org.joda.time.Period period8 = new org.joda.time.Period((java.lang.Object)period7);
    org.joda.time.Period period9 = period1.plus((org.joda.time.ReadablePeriod)period7);
    org.joda.time.Minutes minutes10 = period9.toStandardMinutes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes10);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    java.util.Locale locale19 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i20 = unsupportedDateTimeField15.getMaximumShortTextLength(locale19);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.PeriodType periodType6 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType7 = periodType6.withHoursRemoved();
    org.joda.time.Period period8 = new org.joda.time.Period(readableInstant4, readableInstant5, periodType7);
    org.joda.time.Period period9 = duration2.toPeriodFrom(readableInstant3, periodType7);
    long long10 = duration2.getStandardHours();
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.PeriodType periodType12 = org.joda.time.PeriodType.yearMonthDay();
    org.joda.time.Period period13 = duration2.toPeriodTo(readableInstant11, periodType12);
    org.joda.time.Minutes minutes14 = duration2.toStandardMinutes();
    org.joda.time.Duration duration16 = org.joda.time.Duration.standardDays((-6010001L));
    int i17 = duration2.compareTo((org.joda.time.ReadableDuration)duration16);
    long long18 = duration2.getStandardDays();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);

  }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i14 = offsetDateTimeField5.get((-43200000L));
//     java.lang.String str16 = offsetDateTimeField5.getAsText(10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 101);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
// 
//   }

  @Test
  public void test239() {}
// Defects4J: flaky method
//   @Test
//   public void test239() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     long long15 = offsetDateTimeField5.addWrapField(393940801089L, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 393940801089L);
// 
//   }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.weekyearOfCentury();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDateTimeField15.set(100L, "8");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.monthOfYear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.minuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, (-841539));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDateTimeField15.roundHalfCeiling((-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported", 125, 60, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.weeks();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology1.minuteOfHour();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b20 = fixedDateTimeZone18.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology21 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone18);
    java.lang.String str22 = copticChronology21.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone27 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long30 = fixedDateTimeZone27.convertLocalToUTC(0L, false);
    java.lang.String str31 = fixedDateTimeZone27.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology32 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology21, (org.joda.time.DateTimeZone)fixedDateTimeZone27);
    org.joda.time.Period period34 = org.joda.time.Period.millis(1);
    org.joda.time.Period period36 = period34.plusSeconds(10);
    org.joda.time.Period period38 = period34.withMillis(0);
    org.joda.time.Period period39 = period38.normalizedStandard();
    boolean b40 = zonedChronology32.equals((java.lang.Object)period38);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period41 = new org.joda.time.Period((java.lang.Object)iSOChronology1, (org.joda.time.Chronology)zonedChronology32);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "CopticChronology[]"+ "'", str22.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    java.util.Locale locale10 = null;
    java.lang.String str11 = offsetDateTimeField5.getAsShortText(10, locale10);
    org.joda.time.DurationField durationField12 = offsetDateTimeField5.getLeapDurationField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "10"+ "'", str11.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField12);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, (-57600000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    int i16 = preciseDurationField13.getDifference(0L, 43200000L);
    org.joda.time.DurationFieldType durationFieldType17 = preciseDurationField13.getType();
    long long20 = preciseDurationField13.add((-57600000L), (-43200000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 43200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-14400000L));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 10);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = offsetDateTimeField11.getType();
    int i13 = offsetDateTimeField11.getMinimumValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 11);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      long long23 = unsupportedDateTimeField15.remainder((-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-20410001L));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    java.util.Locale locale23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str24 = unsupportedDateTimeField15.getAsShortText(10000, locale23);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, (-6011000L), 34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    org.joda.time.DateTimeZone dateTimeZone6 = dateTimeZoneBuilder0.toDateTimeZone("+00:00", false);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder9 = dateTimeZoneBuilder0.setFixedSavings("Millis", 0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder12 = dateTimeZoneBuilder9.setFixedSavings("org.joda.time.IllegalFieldValueException: 100: Value \"+00:00\" for halfdayOfDay is not supported", 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder12);

  }

  @Test
  public void test256() {}
// Defects4J: flaky method
//   @Test
//   public void test256() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.secondOfMinute();
//     org.joda.time.DateTimeZone dateTimeZone5 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone5);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
//     long long14 = fixedDateTimeZone11.convertLocalToUTC(0L, false);
//     org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology6, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
//     org.joda.time.chrono.ZonedChronology zonedChronology16 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
//     org.joda.time.DateTimeZone dateTimeZone17 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone17);
//     org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
//     org.joda.time.Chronology chronology20 = zonedChronology16.withZone(dateTimeZone19);
//     long long23 = dateTimeZone19.adjustOffset((-6010001L), false);
//     int i25 = dateTimeZone19.getOffsetFromLocal((-51610001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long23 == (-6010001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 0);
// 
//   }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = gregorianChronology1.getZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.CopticChronology copticChronology4 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone2, (-10));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long7 = fixedDateTimeZone4.convertLocalToUTC(0L, false);
    org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    boolean b11 = fixedDateTimeZone4.equals((java.lang.Object)dateTimeZone10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = dateTimeZone10.getName((-6010001L), locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "+01:01"+ "'", str14.equals("+01:01"));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardSeconds(0L);
    long long2 = duration1.getStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    // The following exception was thrown during execution in test generation
    try {
      int i19 = unsupportedDateTimeField15.getMaximumValue();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);

  }

  @Test
  public void test261() {}
// Defects4J: flaky method
//   @Test
//   public void test261() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     int i34 = dividedDateTimeField31.getDifference(0L, 100L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
//     long long59 = remainderDateTimeField57.roundHalfCeiling((-43200000L));
//     int i60 = remainderDateTimeField57.getDivisor();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long63 = remainderDateTimeField57.set(47024390000L, 356400000);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long59 == (-43200000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == 100);
// 
//   }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType3 = periodType1.getFieldType(0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField4 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField5 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField5.getMillis(0, (-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField5);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Period period4 = duration2.toPeriodFrom(readableInstant3);
    org.joda.time.Hours hours5 = period4.toStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours5);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.centuryOfEra();
    org.joda.time.Period period12 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period14 = period12.minusMinutes(10);
    org.joda.time.Hours hours15 = period14.toStandardHours();
    int i16 = period14.getDays();
    int i17 = period14.size();
    int[] i_array19 = iSOChronology4.get((org.joda.time.ReadablePeriod)period14, 99L);
    org.joda.time.Hours hours20 = period14.toStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours20);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 0L, 604800);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.joda.time.format.PeriodFormatter periodFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = org.joda.time.Period.parse("org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported", periodFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    java.util.Locale locale18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = unsupportedDateTimeField15.getAsShortText(readablePartial16, 43200000, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    java.lang.String str14 = illegalFieldValueException13.toString();
    illegalFieldValueException13.prependMessage("100");
    java.lang.String str17 = illegalFieldValueException13.toString();
    java.lang.Number number18 = illegalFieldValueException13.getLowerBound();
    java.lang.Number number19 = illegalFieldValueException13.getLowerBound();
    java.lang.Number number20 = illegalFieldValueException13.getLowerBound();
    java.lang.String str21 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.String str22 = illegalFieldValueException13.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: 100: Value \"+00:00\" for halfdayOfDay is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: 100: Value \"+00:00\" for halfdayOfDay is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "+00:00"+ "'", str21.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "+00:00"+ "'", str22.equals("+00:00"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-63610000L));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = unsupportedDateTimeField15.getType();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = unsupportedDateTimeField15.getAsText(1089L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType16);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    org.joda.time.ReadablePartial readablePartial22 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i23 = unsupportedDateTimeField15.getMaximumValue(readablePartial22);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    org.joda.time.ReadablePartial readablePartial17 = null;
    int[] i_array19 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array21 = unsupportedDateTimeField15.addWrapField(readablePartial17, 34, i_array19, 22789999);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder2 = dateTimeZoneBuilder0.setStandardOffset(1);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder5 = dateTimeZoneBuilder0.setFixedSavings("ISOChronology[]", 10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = dateTimeZoneBuilder5.addCutover(356400000, ' ', (-9119), 8, 10000, true, (-841539));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder5);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      long long24 = unsupportedDateTimeField15.set(0L, 547200);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    long long77 = zeroIsMaxDateTimeField25.add(9119L, 0L);
    // The following exception was thrown during execution in test generation
    try {
      long long80 = zeroIsMaxDateTimeField25.set(363600000L, "PT-2488320086400S");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long77 == 9119L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("PT8M100S");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology4 = null;
    org.joda.time.Period period5 = duration2.toPeriod(periodType3, chronology4);
    org.joda.time.Duration duration7 = duration2.withMillis((-604799900L));
    long long8 = duration7.getStandardMinutes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-10079L));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    java.util.Locale locale16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i17 = unsupportedDateTimeField15.getMaximumShortTextLength(locale16);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.years();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType2 = periodType0.getFieldType(22789999);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(5940000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField8 = new org.joda.time.field.OffsetDateTimeField(dateTimeField6, 100);
    long long11 = offsetDateTimeField8.add(100L, 0L);
    boolean b13 = offsetDateTimeField8.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = offsetDateTimeField8.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType14, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField20 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, dateTimeFieldType14, 4, 4, 0);
    org.joda.time.ReadablePartial readablePartial21 = null;
    org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.Period period25 = org.joda.time.Period.millis(1);
    org.joda.time.Period period27 = period25.plusSeconds(10);
    org.joda.time.Period period29 = period25.plusMillis(1);
    org.joda.time.Period period31 = org.joda.time.Period.millis(1);
    org.joda.time.Period period33 = period31.plusSeconds(10);
    org.joda.time.Period period35 = period31.plusMillis(1);
    int i36 = period35.size();
    org.joda.time.Period period37 = period29.withFields((org.joda.time.ReadablePeriod)period35);
    org.joda.time.Period period39 = period35.minusYears(0);
    int[] i_array42 = iSOChronology23.get((org.joda.time.ReadablePeriod)period35, 10L, (-57600000L));
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array44 = offsetDateTimeField20.addWrapField(readablePartial21, 1, i_array42, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-14400000L));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    java.util.Locale locale23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str24 = unsupportedDateTimeField15.getAsShortText(0, locale23);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)100, (java.lang.Number)(-633600001L), (java.lang.Number)(byte)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    org.joda.time.ReadablePartial readablePartial17 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i18 = unsupportedDateTimeField15.getMinimumValue(readablePartial17);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period1 = org.joda.time.Period.parse("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() {}
// Defects4J: flaky method
//   @Test
//   public void test288() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = offsetDateTimeField5.getAsText((-43200000L), locale10);
//     org.joda.time.DurationField durationField12 = offsetDateTimeField5.getLeapDurationField();
//     long long14 = offsetDateTimeField5.roundFloor(0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "101"+ "'", str11.equals("101"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 0L);
// 
//   }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(547200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-547200));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.DurationFieldType durationFieldType4 = null;
    int i5 = period3.get(durationFieldType4);
    org.joda.time.DurationFieldType[] durationFieldType_array6 = period3.getFieldTypes();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.forFields(durationFieldType_array6);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType9 = periodType7.getFieldType(125);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount(32460000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Period period4 = duration2.toPeriodFrom(readableInstant3);
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType6 = periodType5.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology8.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone12);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long21 = fixedDateTimeZone18.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology13, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.chrono.ZonedChronology zonedChronology23 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology8, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone24);
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology25.getZone();
    org.joda.time.Chronology chronology27 = zonedChronology23.withZone(dateTimeZone26);
    org.joda.time.Period period28 = duration2.toPeriod(periodType5, chronology27);
    long long29 = duration2.getStandardDays();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 0L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(60, 547200, 68, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long12 = fixedDateTimeZone9.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology13 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology4, (org.joda.time.DateTimeZone)fixedDateTimeZone9);
    int i15 = fixedDateTimeZone9.getStandardOffset(0L);
    boolean b16 = unsupportedDurationField1.equals((java.lang.Object)fixedDateTimeZone9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str17 = unsupportedDurationField1.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    // The following exception was thrown during execution in test generation
    try {
      long long21 = unsupportedDateTimeField15.set(22789999L, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);

  }

  @Test
  public void test296() {}
// Defects4J: flaky method
//   @Test
//   public void test296() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     org.joda.time.ReadablePartial readablePartial32 = null;
//     java.util.Locale locale33 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str34 = dividedDateTimeField31.getAsShortText(readablePartial32, locale33);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
// 
//   }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    org.joda.time.DurationField durationField11 = iSOChronology1.years();
    org.joda.time.DateTimeField dateTimeField12 = iSOChronology1.yearOfEra();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField14 = new org.joda.time.field.OffsetDateTimeField(dateTimeField12, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);

  }

  @Test
  public void test298() {}
// Defects4J: flaky method
//   @Test
//   public void test298() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long34 = dividedDateTimeField31.addWrapField(0L, 5940000);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
// 
//   }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDateTimeField15.roundFloor(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() {}
// Defects4J: flaky method
//   @Test
//   public void test301() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     org.joda.time.DurationField durationField32 = dividedDateTimeField31.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long35 = dividedDateTimeField31.set((-57600001L), 101);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField32);
// 
//   }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period4.minusMonths((-1));
    org.joda.time.Period period8 = period4.withDays(1089);
    int i9 = period8.getYears();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = unsupportedDateTimeField15.getAsText(393942061189L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(576091);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.weekOfWeekyear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology1.year();
    org.joda.time.DateTimeZone dateTimeZone20 = null;
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone20);
    org.joda.time.DurationField durationField22 = iSOChronology21.seconds();
    org.joda.time.Period period24 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period26 = period24.minusMinutes(10);
    long long29 = iSOChronology21.add((org.joda.time.ReadablePeriod)period26, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeZone dateTimeZone32 = iSOChronology31.getZone();
    org.joda.time.Chronology chronology33 = iSOChronology21.withZone(dateTimeZone32);
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology21.millisOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period35 = new org.joda.time.Period((java.lang.Object)iSOChronology1, (org.joda.time.Chronology)iSOChronology21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("8");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.ReadablePartial readablePartial16 = null;
    org.joda.time.Duration duration20 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant21 = null;
    org.joda.time.Period period22 = duration20.toPeriodFrom(readableInstant21);
    org.joda.time.PeriodType periodType23 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType24 = periodType23.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone25 = null;
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone25);
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology26.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology26.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone36 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long39 = fixedDateTimeZone36.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology40 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology31, (org.joda.time.DateTimeZone)fixedDateTimeZone36);
    org.joda.time.chrono.ZonedChronology zonedChronology41 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology26, (org.joda.time.DateTimeZone)fixedDateTimeZone36);
    org.joda.time.DateTimeZone dateTimeZone42 = null;
    org.joda.time.chrono.ISOChronology iSOChronology43 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone42);
    org.joda.time.DateTimeZone dateTimeZone44 = iSOChronology43.getZone();
    org.joda.time.Chronology chronology45 = zonedChronology41.withZone(dateTimeZone44);
    org.joda.time.Period period46 = duration20.toPeriod(periodType23, chronology45);
    org.joda.time.MutablePeriod mutablePeriod47 = period46.toMutablePeriod();
    int[] i_array48 = period46.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array50 = unsupportedDateTimeField15.addWrapPartial(readablePartial16, 1089, i_array48, 99);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);

  }

  @Test
  public void test308() {}
// Defects4J: flaky method
//   @Test
//   public void test308() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = offsetDateTimeField5.getAsText((-43200000L), locale10);
//     org.joda.time.DurationField durationField12 = offsetDateTimeField5.getLeapDurationField();
//     org.joda.time.ReadablePartial readablePartial13 = null;
//     java.util.Locale locale14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str15 = offsetDateTimeField5.getAsShortText(readablePartial13, locale14);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "101"+ "'", str11.equals("101"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField12);
// 
//   }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(34, (-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Duration duration3 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType4 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.Period period6 = duration3.toPeriod(periodType4, chronology5);
    org.joda.time.Period period7 = duration3.toPeriod();
    org.joda.time.Period period8 = new org.joda.time.Period(readableInstant0, (org.joda.time.ReadableDuration)duration3);
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.Interval interval10 = duration3.toIntervalFrom(readableInstant9);
    org.joda.time.ReadableInterval readableInterval11 = org.joda.time.DateTimeUtils.getReadableInterval((org.joda.time.ReadableInterval)interval10);
    org.joda.time.ReadableInterval readableInterval12 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval12);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = unsupportedDateTimeField15.isLeap(100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    org.joda.time.ReadablePartial readablePartial75 = null;
    int[] i_array78 = new int[] { (-1), 1 };
    int i79 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial75, i_array78);
    long long81 = zeroIsMaxDateTimeField25.roundFloor(99L);
    boolean b83 = zeroIsMaxDateTimeField25.isLeap(22789999L);
    long long86 = zeroIsMaxDateTimeField25.addWrapField(0L, 43200000);
    int i89 = zeroIsMaxDateTimeField25.getDifference((-43200000L), 393942061189L);
    org.joda.time.ReadablePartial readablePartial90 = null;
    java.util.Locale locale91 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str92 = zeroIsMaxDateTimeField25.getAsShortText(readablePartial90, locale91);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long81 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long86 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == (-6566421));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      int i18 = unsupportedDateTimeField15.get((-28800001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period4.minusMonths((-1));
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.Period period9 = period4.withPeriodType(periodType8);
    org.joda.time.Duration duration11 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration13 = duration11.plus(1L);
    org.joda.time.ReadableInstant readableInstant14 = null;
    org.joda.time.Period period15 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration13, readableInstant14);
    org.joda.time.Period period17 = period15.minusDays(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period18 = period9.withFields((org.joda.time.ReadablePeriod)period15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forOffsetHours(100);
    org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, dateTimeZone5);
    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone5);
    // The following exception was thrown during execution in test generation
    try {
      long long12 = gregorianChronology7.getDateTimeMillis(0, (-9119), 576091, 43200000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    int i53 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial52);
    int i56 = zeroIsMaxDateTimeField25.getDifference(576091L, (-14400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 249);

  }

  @Test
  public void test318() {}
// Defects4J: flaky method
//   @Test
//   public void test318() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     org.joda.time.DurationField durationField6 = offsetDateTimeField5.getLeapDurationField();
//     int i7 = offsetDateTimeField5.getMinimumValue();
//     long long10 = offsetDateTimeField5.add(0L, 22789999);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 984527956800000L);
// 
//   }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    org.joda.time.ReadablePartial readablePartial75 = null;
    int[] i_array77 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array79 = zeroIsMaxDateTimeField25.set(readablePartial75, 5940000, i_array77, (-6566421));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    int i6 = period5.size();
    int i7 = period5.getHours();
    // The following exception was thrown during execution in test generation
    try {
      int i9 = period5.getValue(8);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 101);
    org.joda.time.DateTimeField dateTimeField12 = offsetDateTimeField11.getWrappedField();
    org.joda.time.DateTimeZone dateTimeZone13 = null;
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone13);
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology14.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology14.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField18 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, 100);
    long long21 = offsetDateTimeField18.add(100L, 0L);
    int i23 = offsetDateTimeField18.getMaximumValue(99L);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = offsetDateTimeField18.getType();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField26 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType24, 8);
    long long28 = offsetDateTimeField26.roundFloor((-14400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == (-14400000L));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = unsupportedDurationField1.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 249, 99);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() {}
// Defects4J: flaky method
//   @Test
//   public void test324() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
//     long long8 = fixedDateTimeZone6.previousTransition(1L);
//     long long10 = dateTimeZone1.getMillisKeepLocal((org.joda.time.DateTimeZone)fixedDateTimeZone6, (-1L));
//     java.util.TimeZone timeZone11 = dateTimeZone1.toTimeZone();
//     org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone1);
//     long long15 = dateTimeZone1.convertLocalToUTC(0L, false);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Period period16 = new org.joda.time.Period((java.lang.Object)dateTimeZone1);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 0L);
// 
//   }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 28800001L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period2.plusSeconds((-1));
    org.joda.time.Seconds seconds7 = period6.toStandardSeconds();
    org.joda.time.ReadableInstant readableInstant8 = null;
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.PeriodType periodType10 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType11 = periodType10.withHoursRemoved();
    org.joda.time.Period period12 = new org.joda.time.Period(readableInstant8, readableInstant9, periodType11);
    org.joda.time.DurationFieldType durationFieldType13 = null;
    boolean b14 = periodType11.isSupported(durationFieldType13);
    org.joda.time.Period period15 = period6.normalizedStandard(periodType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(363600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 363600000);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writeUnpaddedInteger(writer0, (-9119));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    java.lang.String str14 = illegalFieldValueException13.toString();
    illegalFieldValueException13.prependMessage("100");
    java.lang.String str17 = illegalFieldValueException13.getFieldName();
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException13.getDurationFieldType();
    java.lang.String str19 = illegalFieldValueException13.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "halfdayOfDay"+ "'", str17.equals("halfdayOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "+00:00"+ "'", str19.equals("+00:00"));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-100));

  }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     int i3 = dateTimeZone1.getOffsetFromLocal((-36287994000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      long long23 = unsupportedDateTimeField15.roundHalfFloor(32460000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.millisOfSecond();
    org.joda.time.DurationField durationField5 = iSOChronology1.halfdays();
    long long8 = durationField5.subtract((-14399900L), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-4334399900L));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount(28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    // The following exception was thrown during execution in test generation
    try {
      long long27 = unsupportedDateTimeField15.set(393942061089L, "GregorianChronology[]");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));

  }

  @Test
  public void test336() {}
// Defects4J: flaky method
//   @Test
//   public void test336() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
//     org.joda.time.DateTimeZone dateTimeZone3 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
//     org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
//     org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
//     org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
//     org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
//     org.joda.time.DateTimeZone dateTimeZone11 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
//     long long19 = offsetDateTimeField16.add(100L, 0L);
//     boolean b21 = offsetDateTimeField16.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
//     org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
//     org.joda.time.DateTimeZone dateTimeZone26 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
//     org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
//     org.joda.time.DateTimeZone dateTimeZone29 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
//     org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
//     org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
//     org.joda.time.Period period35 = period33.minusMinutes(10);
//     long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
//     org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
//     long long42 = durationField39.subtract(100L, 1);
//     org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
//     int i45 = preciseDateTimeField43.get((-57600000L));
//     org.joda.time.DurationField durationField46 = preciseDateTimeField43.getRangeDurationField();
//     long long48 = preciseDateTimeField43.roundHalfEven(425989000L);
//     org.joda.time.DurationField durationField49 = preciseDateTimeField43.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long52 = preciseDateTimeField43.set(0L, "YearMonthDayTime");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long38 == (-6010001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long42 == (-604799900L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i45 == 547200);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long48 == 425989000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField49);
// 
//   }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.DateTimeField dateTimeField9 = copticChronology7.secondOfDay();
    org.joda.time.DateTimeField dateTimeField10 = copticChronology7.hourOfDay();
    java.lang.String str11 = copticChronology7.toString();
    org.joda.time.DurationField durationField12 = copticChronology7.weeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "CopticChronology[]"+ "'", str11.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDateTimeField15.roundCeiling(32460000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(28800000L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("100");
    java.security.PermissionCollection permissionCollection2 = jodaTimePermission1.newPermissionCollection();
    java.lang.String str3 = jodaTimePermission1.toString();
    org.joda.time.Duration duration6 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.Period period9 = duration6.toPeriod(periodType7, chronology8);
    long long10 = duration6.getStandardDays();
    jodaTimePermission1.checkGuard((java.lang.Object)long10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(permissionCollection2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(\"org.joda.time.JodaTimePermission\" \"100\")"+ "'", str3.equals("(\"org.joda.time.JodaTimePermission\" \"100\")"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);

  }

  @Test
  public void test341() {}
// Defects4J: flaky method
//   @Test
//   public void test341() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
//     int i11 = offsetDateTimeField5.getLeapAmount((-57600001L));
//     java.lang.String str13 = offsetDateTimeField5.getAsText(1089L);
//     org.joda.time.DateTimeZone dateTimeZone14 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone14);
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone17 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone17);
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology18.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField(dateTimeField20, 100);
//     long long25 = offsetDateTimeField22.add(100L, 0L);
//     boolean b27 = offsetDateTimeField22.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType28 = offsetDateTimeField22.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType28, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, dateTimeFieldType28, 4, 4, 0);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType28, 68, 8, 604800);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long41 = offsetDateTimeField38.set(32460000L, 11);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "100"+ "'", str13.equals("100"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b27 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType28);
// 
//   }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    int i1 = org.joda.time.format.FormatUtils.calculateDigitCount((-63610034L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.weekOfWeekyear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology1.year();
    org.joda.time.ReadablePeriod readablePeriod20 = null;
    long long23 = iSOChronology1.add(readablePeriod20, (-36287994000L), 22789999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-36287994000L));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("100");
    java.security.PermissionCollection permissionCollection2 = jodaTimePermission1.newPermissionCollection();
    java.lang.String str3 = jodaTimePermission1.toString();
    org.joda.time.Period period5 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period7 = period5.minusMinutes(10);
    org.joda.time.Hours hours8 = period7.toStandardHours();
    org.joda.time.Period period10 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period12 = period10.minusMinutes(10);
    org.joda.time.Period period13 = period7.minus((org.joda.time.ReadablePeriod)period10);
    org.joda.time.Period period15 = period7.plusWeeks(1);
    boolean b16 = jodaTimePermission1.equals((java.lang.Object)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(permissionCollection2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(\"org.joda.time.JodaTimePermission\" \"100\")"+ "'", str3.equals("(\"org.joda.time.JodaTimePermission\" \"100\")"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 425989000);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.joda.time.Duration duration10 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Period period12 = duration10.toPeriodFrom(readableInstant11);
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType14 = periodType13.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone15 = null;
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone15);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology16.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology16.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone20 = null;
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone20);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone26 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long29 = fixedDateTimeZone26.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology30 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology21, (org.joda.time.DateTimeZone)fixedDateTimeZone26);
    org.joda.time.chrono.ZonedChronology zonedChronology31 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology16, (org.joda.time.DateTimeZone)fixedDateTimeZone26);
    org.joda.time.DateTimeZone dateTimeZone32 = null;
    org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone32);
    org.joda.time.DateTimeZone dateTimeZone34 = iSOChronology33.getZone();
    org.joda.time.Chronology chronology35 = zonedChronology31.withZone(dateTimeZone34);
    org.joda.time.Period period36 = duration10.toPeriod(periodType13, chronology35);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period37 = new org.joda.time.Period((-100), 0, (-14340000), 604800, 10000, 125, 547200, 100, periodType13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period36);

  }

  @Test
  public void test347() {}
// Defects4J: flaky method
//   @Test
//   public void test347() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     int i34 = dividedDateTimeField31.getDifference(0L, 100L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
//     org.joda.time.ReadableInstant readableInstant58 = null;
//     org.joda.time.ReadableInstant readableInstant59 = null;
//     org.joda.time.Duration duration60 = new org.joda.time.Duration(readableInstant58, readableInstant59);
//     org.joda.time.DateTimeZone dateTimeZone61 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology62 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone61);
//     org.joda.time.DateTimeField dateTimeField63 = iSOChronology62.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField64 = iSOChronology62.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField65 = iSOChronology62.millisOfSecond();
//     org.joda.time.Period period66 = duration60.toPeriod((org.joda.time.Chronology)iSOChronology62);
//     org.joda.time.DateTimeField dateTimeField67 = iSOChronology62.clockhourOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField69 = new org.joda.time.field.OffsetDateTimeField(dateTimeField67, 101);
//     org.joda.time.DateTimeField dateTimeField70 = offsetDateTimeField69.getWrappedField();
//     org.joda.time.DateTimeZone dateTimeZone71 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology72 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone71);
//     org.joda.time.DateTimeField dateTimeField73 = iSOChronology72.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField74 = iSOChronology72.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField76 = new org.joda.time.field.OffsetDateTimeField(dateTimeField74, 100);
//     long long79 = offsetDateTimeField76.add(100L, 0L);
//     int i81 = offsetDateTimeField76.getMaximumValue(99L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = offsetDateTimeField76.getType();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField84 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField69, dateTimeFieldType82, 8);
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField85 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField57, dateTimeFieldType82);
//     org.joda.time.ReadablePartial readablePartial86 = null;
//     java.util.Locale locale87 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str88 = remainderDateTimeField57.getAsText(readablePartial86, locale87);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long79 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i81 == 101);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
// 
//   }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    org.joda.time.Chronology chronology19 = copticChronology7.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long24 = copticChronology7.getDateTimeMillis(10000, 363600000, 363600000, 99);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("101");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = unsupportedDateTimeField15.isLeap(43199999L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology4 = null;
    org.joda.time.Period period5 = duration2.toPeriod(periodType3, chronology4);
    long long6 = duration2.getStandardDays();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Duration duration9 = duration2.withDurationAdded((-984527956740L), 43200000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test352() {}
// Defects4J: flaky method
//   @Test
//   public void test352() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     int i34 = dividedDateTimeField31.getDifference(0L, 100L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException60 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, (java.lang.Number)(-51610001L), "");
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType50, 425989000, 0, 10);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
// 
//   }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getDifference((-6011000L), (-604800000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone.setDefault(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() {}
// Defects4J: flaky method
//   @Test
//   public void test355() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     int i34 = dividedDateTimeField31.getDifference(0L, 100L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
//     int i58 = remainderDateTimeField57.getDivisor();
//     int i59 = remainderDateTimeField57.getMinimumValue();
//     long long61 = remainderDateTimeField57.roundHalfEven(22789999L);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.FieldUtils.verifyValueBounds((org.joda.time.DateTimeField)remainderDateTimeField57, 356400000, 60, 4);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i59 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long61 == 43200000L);
// 
//   }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDateTimeField15.set((-14400000L), "");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    // The following exception was thrown during execution in test generation
    try {
      int i17 = unsupportedDurationField1.getDifference(5940000L, 393940800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 9119L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.DurationFieldType durationFieldType4 = null;
    boolean b5 = period1.isSupported(durationFieldType4);
    org.joda.time.Period period7 = period1.withMillis((-1));
    int i8 = period7.getHours();
    org.joda.time.Period period10 = period7.minusWeeks(249);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 101);
    org.joda.time.ReadablePartial readablePartial12 = null;
    org.joda.time.Duration duration14 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration16 = duration14.plus(1L);
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.Period period18 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration16, readableInstant17);
    int[] i_array19 = period18.getValues();
    int i20 = offsetDateTimeField11.getMaximumValue(readablePartial12, i_array19);
    org.joda.time.DateTimeZone dateTimeZone21 = null;
    org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone21);
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField24 = iSOChronology22.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField26 = new org.joda.time.field.OffsetDateTimeField(dateTimeField24, 100);
    long long29 = offsetDateTimeField26.add(100L, 0L);
    boolean b31 = offsetDateTimeField26.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = offsetDateTimeField26.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType32, "+00:00");
    org.joda.time.DurationField durationField35 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField36 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType32, durationField35);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField38 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType32, (-49211000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField36);

  }

  @Test
  public void test361() {}
// Defects4J: flaky method
//   @Test
//   public void test361() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long8 = offsetDateTimeField5.add(100L, 0L);
//     boolean b10 = offsetDateTimeField5.isLeap(1089L);
//     java.util.Locale locale12 = null;
//     java.lang.String str13 = offsetDateTimeField5.getAsText(1089L, locale12);
//     boolean b14 = offsetDateTimeField5.isSupported();
//     org.joda.time.ReadablePartial readablePartial15 = null;
//     int[] i_array17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array19 = offsetDateTimeField5.addWrapPartial(readablePartial15, 584389, i_array17, (-9119));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "100"+ "'", str13.equals("100"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == true);
// 
//   }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = unsupportedDateTimeField15.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long19 = unsupportedDateTimeField15.set(633600001L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType16);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    org.joda.time.ReadablePartial readablePartial19 = null;
    java.util.Locale locale21 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = unsupportedDateTimeField15.getAsShortText(readablePartial19, 9, locale21);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.weekOfWeekyear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology1.weekOfWeekyear();
    org.joda.time.ReadablePartial readablePartial21 = null;
    int[] i_array22 = null;
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology1.validate(readablePartial21, i_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(10L, 576091L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 576101L);

  }

  @Test
  public void test366() {}
// Defects4J: flaky method
//   @Test
//   public void test366() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
//     java.util.Locale locale11 = null;
//     java.lang.String str12 = offsetDateTimeField5.getAsText(0L, locale11);
//     org.joda.time.DurationField durationField13 = offsetDateTimeField5.getRangeDurationField();
//     java.lang.String str14 = offsetDateTimeField5.getName();
//     long long17 = offsetDateTimeField5.add((-22789999L), 43200000);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "100"+ "'", str12.equals("100"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "halfdayOfDay"+ "'", str14.equals("halfdayOfDay"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == 1866239977210001L);
// 
//   }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    int i16 = preciseDurationField13.getDifference(0L, 43200000L);
    org.joda.time.DurationFieldType durationFieldType17 = preciseDurationField13.getType();
    long long19 = preciseDurationField13.getValueAsLong((-633600001L));
    long long22 = preciseDurationField13.add((-20410000L), 68);
    // The following exception was thrown during execution in test generation
    try {
      int i25 = preciseDurationField13.getDifference(393940801089L, 2613125620801089L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 43200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 633600001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-20410068L));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.Period period4 = new org.joda.time.Period(0, 10, 0, 100);
    org.joda.time.Seconds seconds5 = period4.toStandardSeconds();
    org.joda.time.Period period7 = period4.plusSeconds(10000);
    org.joda.time.DurationFieldType durationFieldType8 = null;
    int i9 = period7.get(durationFieldType8);
    org.joda.time.Hours hours10 = period7.toStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours10);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    boolean b16 = unsupportedDurationField1.equals((java.lang.Object)(-633600001L));
    org.joda.time.DurationFieldType durationFieldType17 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      int i20 = unsupportedDurationField1.getDifference((-14399900L), (-28800100L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);

  }

  @Test
  public void test370() {}
// Defects4J: flaky method
//   @Test
//   public void test370() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }
// 
// 
//     org.joda.time.DateTimeZone dateTimeZone0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
//     long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
//     long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
//     long long12 = offsetDateTimeField5.add((-100L), 0L);
//     int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
//     org.joda.time.DateTimeZone dateTimeZone16 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
//     long long24 = offsetDateTimeField21.add(100L, 0L);
//     boolean b26 = offsetDateTimeField21.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
//     int i34 = dividedDateTimeField31.getDifference(0L, 100L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
//     org.joda.time.DateTimeZone dateTimeZone36 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
//     org.joda.time.DateTimeZone dateTimeZone39 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
//     long long47 = offsetDateTimeField44.add(100L, 0L);
//     boolean b49 = offsetDateTimeField44.isLeap(1089L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
//     org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
//     org.joda.time.ReadableInstant readableInstant58 = null;
//     org.joda.time.ReadableInstant readableInstant59 = null;
//     org.joda.time.Duration duration60 = new org.joda.time.Duration(readableInstant58, readableInstant59);
//     org.joda.time.DateTimeZone dateTimeZone61 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology62 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone61);
//     org.joda.time.DateTimeField dateTimeField63 = iSOChronology62.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField64 = iSOChronology62.halfdayOfDay();
//     org.joda.time.DateTimeField dateTimeField65 = iSOChronology62.millisOfSecond();
//     org.joda.time.Period period66 = duration60.toPeriod((org.joda.time.Chronology)iSOChronology62);
//     org.joda.time.DateTimeField dateTimeField67 = iSOChronology62.clockhourOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField69 = new org.joda.time.field.OffsetDateTimeField(dateTimeField67, 101);
//     org.joda.time.DateTimeField dateTimeField70 = offsetDateTimeField69.getWrappedField();
//     org.joda.time.DateTimeZone dateTimeZone71 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology72 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone71);
//     org.joda.time.DateTimeField dateTimeField73 = iSOChronology72.dayOfWeek();
//     org.joda.time.DateTimeField dateTimeField74 = iSOChronology72.halfdayOfDay();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField76 = new org.joda.time.field.OffsetDateTimeField(dateTimeField74, 100);
//     long long79 = offsetDateTimeField76.add(100L, 0L);
//     int i81 = offsetDateTimeField76.getMaximumValue(99L);
//     org.joda.time.DateTimeFieldType dateTimeFieldType82 = offsetDateTimeField76.getType();
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField84 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField69, dateTimeFieldType82, 8);
//     org.joda.time.field.DividedDateTimeField dividedDateTimeField85 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField57, dateTimeFieldType82);
//     long long88 = dividedDateTimeField85.getDifferenceAsLong(28800101L, 59999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long79 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i81 == 101);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long88 == 0L);
// 
//   }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = unsupportedDateTimeField15.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDateTimeField15.roundHalfFloor((-31536000100L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType16);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    long long16 = preciseDurationField13.add(10L, 28800101L);
    long long19 = preciseDurationField13.subtract(0L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-28800091L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(576101L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    org.joda.time.ReadablePartial readablePartial25 = null;
    java.util.Locale locale26 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str27 = unsupportedDateTimeField15.getAsShortText(readablePartial25, locale26);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    // The following exception was thrown during execution in test generation
    try {
      long long23 = unsupportedDateTimeField15.roundHalfEven(393942061089L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    org.joda.time.Period period7 = org.joda.time.Period.millis(1);
    org.joda.time.Period period9 = period7.plusSeconds(10);
    org.joda.time.Period period11 = period7.plusMillis(1);
    int i12 = period11.size();
    org.joda.time.Period period13 = period5.withFields((org.joda.time.ReadablePeriod)period11);
    org.joda.time.Period period15 = period11.minusYears(0);
    org.joda.time.Period period17 = period11.minusMinutes(0);
    org.joda.time.DurationFieldType[] durationFieldType_array18 = period17.getFieldTypes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType_array18);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(2, 68, 249);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 184);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("PT100S");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() {}
// Defects4J: flaky method
//   @Test
//   public void test379() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }
// 
// 
//     org.joda.time.chrono.CopticChronology copticChronology0 = org.joda.time.chrono.CopticChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = copticChronology0.weekyearOfCentury();
//     java.lang.String str2 = copticChronology0.toString();
//     java.lang.String str3 = copticChronology0.toString();
//     org.joda.time.DateTimeField dateTimeField4 = copticChronology0.hourOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(copticChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "CopticChronology[]"+ "'", str2.equals("CopticChronology[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "CopticChronology[]"+ "'", str3.equals("CopticChronology[]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField4);
// 
//   }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    long long27 = zeroIsMaxDateTimeField25.roundCeiling(10L);
    long long29 = zeroIsMaxDateTimeField25.remainder((-1L));
    long long32 = zeroIsMaxDateTimeField25.add(393942061189L, 356400000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 60000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 59999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 21777942061189L);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DurationField durationField10 = iSOChronology1.weeks();
    org.joda.time.DurationField durationField11 = iSOChronology1.weeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField11);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    java.util.Locale locale19 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long20 = unsupportedDateTimeField15.set(0L, "+01:01", locale19);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-360711600000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardSeconds((-51600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("10", "PeriodType[YearDay]");

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("halfdayOfDay", (java.lang.Number)(-9119), (java.lang.Number)425989000L, (java.lang.Number)43200000L);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 604800, 125, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardMinutes(28800101L);
    org.joda.time.Hours hours2 = duration1.toStandardHours();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours2);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    int i16 = preciseDurationField13.getDifference(0L, 43200000L);
    org.joda.time.DurationFieldType durationFieldType17 = preciseDurationField13.getType();
    long long19 = preciseDurationField13.getValueAsLong((-633600001L));
    org.joda.time.DurationFieldType durationFieldType20 = preciseDurationField13.getType();
    org.joda.time.field.PreciseDurationField preciseDurationField22 = new org.joda.time.field.PreciseDurationField(durationFieldType20, 0L);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType20);
    org.joda.time.DurationFieldType durationFieldType24 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField25 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType24);
    org.joda.time.DurationFieldType durationFieldType26 = unsupportedDurationField25.getType();
    org.joda.time.DateTimeZone dateTimeZone27 = null;
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone27);
    org.joda.time.DurationField durationField29 = iSOChronology28.seconds();
    org.joda.time.Period period31 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period33 = period31.minusMinutes(10);
    long long36 = iSOChronology28.add((org.joda.time.ReadablePeriod)period33, (-1L), 10);
    org.joda.time.DurationField durationField37 = iSOChronology28.eras();
    int i38 = unsupportedDurationField25.compareTo(durationField37);
    boolean b39 = unsupportedDurationField25.isSupported();
    boolean b40 = unsupportedDurationField23.equals((java.lang.Object)b39);
    // The following exception was thrown during execution in test generation
    try {
      long long43 = unsupportedDurationField23.getDifferenceAsLong((-4334399900L), 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 43200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 633600001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long12 = fixedDateTimeZone9.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology13 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology4, (org.joda.time.DateTimeZone)fixedDateTimeZone9);
    int i15 = fixedDateTimeZone9.getStandardOffset(0L);
    boolean b16 = unsupportedDurationField1.equals((java.lang.Object)fixedDateTimeZone9);
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    boolean b19 = fixedDateTimeZone13.isFixed();
    java.lang.String str21 = fixedDateTimeZone13.getName(10L);
    long long23 = fixedDateTimeZone13.nextTransition(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "+00:00"+ "'", str21.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 10L);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology4 = null;
    org.joda.time.Period period5 = duration2.toPeriod(periodType3, chronology4);
    org.joda.time.Period period6 = duration2.toPeriod();
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Period period8 = duration2.toPeriodTo(readableInstant7);
    org.joda.time.Seconds seconds9 = period8.toStandardSeconds();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds9);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
    int i11 = offsetDateTimeField5.getLeapAmount((-57600001L));
    java.lang.String str12 = offsetDateTimeField5.getName();
    boolean b14 = offsetDateTimeField5.isLeap((-100L));
    int i15 = offsetDateTimeField5.getOffset();
    int i16 = offsetDateTimeField5.getOffset();
    boolean b17 = offsetDateTimeField5.isLenient();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "halfdayOfDay"+ "'", str12.equals("halfdayOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
    long long12 = offsetDateTimeField5.add((-100L), 0L);
    int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
    long long24 = offsetDateTimeField21.add(100L, 0L);
    boolean b26 = offsetDateTimeField21.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
    org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
    int i34 = dividedDateTimeField31.getDifference(0L, 100L);
    int i37 = dividedDateTimeField31.getDifference(28800000L, 99L);
    int i40 = dividedDateTimeField31.getDifference(22789999L, (-6010001L));
    // The following exception was thrown during execution in test generation
    try {
      long long43 = dividedDateTimeField31.set(2736028800000L, (-14340000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10079L), (-28800100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 290276207900L);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.joda.time.ReadablePartial readablePartial0 = null;
    org.joda.time.ReadablePartial readablePartial1 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Duration duration4 = new org.joda.time.Duration(readableInstant2, readableInstant3);
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.PeriodType periodType8 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType9 = periodType8.withHoursRemoved();
    org.joda.time.Period period10 = new org.joda.time.Period(readableInstant6, readableInstant7, periodType9);
    org.joda.time.Period period11 = duration4.toPeriodFrom(readableInstant5, periodType9);
    org.joda.time.ReadableInstant readableInstant12 = null;
    org.joda.time.ReadableInstant readableInstant13 = null;
    org.joda.time.PeriodType periodType14 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType15 = periodType14.withHoursRemoved();
    org.joda.time.Period period16 = new org.joda.time.Period(readableInstant12, readableInstant13, periodType15);
    org.joda.time.Period period17 = duration4.toPeriod(periodType15);
    java.lang.Object obj18 = null;
    boolean b19 = periodType15.equals(obj18);
    org.joda.time.PeriodType periodType20 = periodType15.withWeeksRemoved();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period21 = new org.joda.time.Period(readablePartial0, readablePartial1, periodType15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
    long long12 = offsetDateTimeField5.add((-100L), 0L);
    int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
    long long24 = offsetDateTimeField21.add(100L, 0L);
    boolean b26 = offsetDateTimeField21.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
    org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
    int i34 = dividedDateTimeField31.getDifference(0L, 100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
    org.joda.time.DateTimeZone dateTimeZone36 = null;
    org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone39 = null;
    org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
    org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
    long long47 = offsetDateTimeField44.add(100L, 0L);
    boolean b49 = offsetDateTimeField44.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
    int i58 = remainderDateTimeField57.getDivisor();
    int i59 = remainderDateTimeField57.getMinimumValue();
    long long61 = remainderDateTimeField57.roundHalfCeiling(20410000L);
    int i62 = remainderDateTimeField57.getMinimumValue();
    // The following exception was thrown during execution in test generation
    try {
      long long65 = remainderDateTimeField57.addWrapField(576091L, 125);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long61 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    // The following exception was thrown during execution in test generation
    try {
      int i17 = unsupportedDateTimeField15.get(12246466789000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField8 = new org.joda.time.field.OffsetDateTimeField(dateTimeField6, 100);
    long long11 = offsetDateTimeField8.add(100L, 0L);
    boolean b13 = offsetDateTimeField8.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = offsetDateTimeField8.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType14, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField20 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, dateTimeFieldType14, 4, 4, 0);
    org.joda.time.ReadablePartial readablePartial21 = null;
    int i22 = offsetDateTimeField20.getMaximumValue(readablePartial21);
    org.joda.time.ReadablePartial readablePartial23 = null;
    java.util.Locale locale25 = null;
    java.lang.String str26 = offsetDateTimeField20.getAsShortText(readablePartial23, 604800, locale25);
    long long28 = offsetDateTimeField20.roundHalfEven(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "604800"+ "'", str26.equals("604800"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
    org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period35 = period33.minusMinutes(10);
    long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
    org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
    long long42 = durationField39.subtract(100L, 1);
    org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
    int i45 = preciseDateTimeField43.get((-57600000L));
    org.joda.time.DurationField durationField46 = preciseDateTimeField43.getRangeDurationField();
    long long48 = preciseDateTimeField43.roundHalfEven(425989000L);
    long long50 = preciseDateTimeField43.roundFloor(0L);
    org.joda.time.DurationField durationField51 = preciseDateTimeField43.getRangeDurationField();
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.ReadableInstant readableInstant55 = null;
    org.joda.time.Duration duration56 = new org.joda.time.Duration(readableInstant54, readableInstant55);
    org.joda.time.DateTimeZone dateTimeZone57 = null;
    org.joda.time.chrono.ISOChronology iSOChronology58 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone57);
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology58.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology58.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField61 = iSOChronology58.millisOfSecond();
    org.joda.time.Period period62 = duration56.toPeriod((org.joda.time.Chronology)iSOChronology58);
    org.joda.time.DateTimeField dateTimeField63 = iSOChronology58.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField65 = new org.joda.time.field.OffsetDateTimeField(dateTimeField63, 101);
    org.joda.time.ReadablePartial readablePartial66 = null;
    org.joda.time.Duration duration68 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration70 = duration68.plus(1L);
    org.joda.time.ReadableInstant readableInstant71 = null;
    org.joda.time.Period period72 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration70, readableInstant71);
    int[] i_array73 = period72.getValues();
    int i74 = offsetDateTimeField65.getMaximumValue(readablePartial66, i_array73);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array76 = preciseDateTimeField43.addWrapField(readablePartial52, (-1), i_array73, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == (-604799900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 547200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 125);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
    org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period35 = period33.minusMinutes(10);
    long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
    org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
    long long42 = durationField39.subtract(100L, 1);
    org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
    int i45 = preciseDateTimeField43.get((-57600000L));
    org.joda.time.DurationField durationField46 = preciseDateTimeField43.getRangeDurationField();
    long long48 = preciseDateTimeField43.roundHalfEven(425989000L);
    org.joda.time.DurationField durationField49 = preciseDateTimeField43.getDurationField();
    int i50 = preciseDateTimeField43.getMinimumValue();
    boolean b51 = preciseDateTimeField43.isLenient();
    long long53 = preciseDateTimeField43.roundFloor(425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == (-604799900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 547200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == 425989000L);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    // The following exception was thrown during execution in test generation
    try {
      long long24 = zonedChronology18.getDateTimeMillis(0L, 0, 0, (-841539), (-9119));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.DateTimeField dateTimeField9 = copticChronology7.secondOfDay();
    org.joda.time.DateTimeField dateTimeField10 = copticChronology7.hourOfDay();
    org.joda.time.Chronology chronology11 = copticChronology7.withUTC();
    org.joda.time.DateTimeZone dateTimeZone12 = copticChronology7.getZone();
    // The following exception was thrown during execution in test generation
    try {
      long long20 = copticChronology7.getDateTimeMillis(9, 34, 356400000, (-14340000), (-1), (-1), 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
    long long12 = offsetDateTimeField5.add((-100L), 0L);
    int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
    long long24 = offsetDateTimeField21.add(100L, 0L);
    boolean b26 = offsetDateTimeField21.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
    org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
    int i34 = dividedDateTimeField31.getDifference(0L, 100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
    org.joda.time.DateTimeZone dateTimeZone36 = null;
    org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone39 = null;
    org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
    org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
    long long47 = offsetDateTimeField44.add(100L, 0L);
    boolean b49 = offsetDateTimeField44.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
    int i58 = remainderDateTimeField57.getDivisor();
    long long60 = remainderDateTimeField57.remainder((-57600000L));
    org.joda.time.ReadablePartial readablePartial61 = null;
    int i62 = remainderDateTimeField57.getMaximumValue(readablePartial61);
    // The following exception was thrown during execution in test generation
    try {
      long long65 = remainderDateTimeField57.set(340167L, (-6566421));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == 28800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 99);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.joda.time.Period period8 = new org.joda.time.Period(10, 584389, (-100), 0, 99, 0, 11, (-14340000));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-547200), (-9119), 604740000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 604201920);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    java.util.Locale locale12 = null;
    java.lang.String str13 = offsetDateTimeField5.getAsText(1089L, locale12);
    boolean b14 = offsetDateTimeField5.isSupported();
    org.joda.time.ReadablePartial readablePartial15 = null;
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.ReadableInstant readableInstant18 = null;
    org.joda.time.Duration duration19 = new org.joda.time.Duration(readableInstant17, readableInstant18);
    org.joda.time.DateTimeZone dateTimeZone20 = null;
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone20);
    org.joda.time.DateTimeField dateTimeField22 = iSOChronology21.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology21.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField24 = iSOChronology21.millisOfSecond();
    org.joda.time.Period period25 = duration19.toPeriod((org.joda.time.Chronology)iSOChronology21);
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology21.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology21.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone28 = null;
    org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone28);
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField31 = iSOChronology29.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField33 = new org.joda.time.field.OffsetDateTimeField(dateTimeField31, 100);
    long long36 = offsetDateTimeField33.add(100L, 0L);
    boolean b38 = offsetDateTimeField33.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = offsetDateTimeField33.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException41 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType39, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField42 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField27, dateTimeFieldType39);
    org.joda.time.ReadablePartial readablePartial43 = null;
    org.joda.time.ReadableInstant readableInstant44 = null;
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Duration duration46 = new org.joda.time.Duration(readableInstant44, readableInstant45);
    org.joda.time.DateTimeZone dateTimeZone47 = null;
    org.joda.time.chrono.ISOChronology iSOChronology48 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone47);
    org.joda.time.DateTimeField dateTimeField49 = iSOChronology48.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField50 = iSOChronology48.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField51 = iSOChronology48.millisOfSecond();
    org.joda.time.Period period52 = duration46.toPeriod((org.joda.time.Chronology)iSOChronology48);
    org.joda.time.DateTimeField dateTimeField53 = iSOChronology48.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField55 = new org.joda.time.field.OffsetDateTimeField(dateTimeField53, 101);
    org.joda.time.DateTimeField dateTimeField56 = offsetDateTimeField55.getWrappedField();
    org.joda.time.ReadablePartial readablePartial57 = null;
    org.joda.time.Duration duration59 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration61 = duration59.plus(1L);
    org.joda.time.ReadableInstant readableInstant62 = null;
    org.joda.time.Period period63 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration61, readableInstant62);
    int[] i_array64 = period63.getValues();
    int i65 = offsetDateTimeField55.getMaximumValue(readablePartial57, i_array64);
    int i66 = zeroIsMaxDateTimeField42.getMinimumValue(readablePartial43, i_array64);
    int i68 = zeroIsMaxDateTimeField42.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial69 = null;
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.ReadableInstant readableInstant71 = null;
    org.joda.time.Duration duration72 = new org.joda.time.Duration(readableInstant70, readableInstant71);
    org.joda.time.DateTimeZone dateTimeZone73 = null;
    org.joda.time.chrono.ISOChronology iSOChronology74 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone73);
    org.joda.time.DateTimeField dateTimeField75 = iSOChronology74.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField76 = iSOChronology74.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField77 = iSOChronology74.millisOfSecond();
    org.joda.time.Period period78 = duration72.toPeriod((org.joda.time.Chronology)iSOChronology74);
    org.joda.time.DateTimeField dateTimeField79 = iSOChronology74.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField81 = new org.joda.time.field.OffsetDateTimeField(dateTimeField79, 101);
    org.joda.time.ReadablePartial readablePartial82 = null;
    org.joda.time.Duration duration84 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration86 = duration84.plus(1L);
    org.joda.time.ReadableInstant readableInstant87 = null;
    org.joda.time.Period period88 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration86, readableInstant87);
    int[] i_array89 = period88.getValues();
    int i90 = offsetDateTimeField81.getMaximumValue(readablePartial82, i_array89);
    int i91 = zeroIsMaxDateTimeField42.getMaximumValue(readablePartial69, i_array89);
    org.joda.time.ReadablePartial readablePartial92 = null;
    int[] i_array95 = new int[] { (-1), 1 };
    int i96 = zeroIsMaxDateTimeField42.getMaximumValue(readablePartial92, i_array95);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array98 = offsetDateTimeField5.addWrapField(readablePartial15, 1, i_array95, 99);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "100"+ "'", str13.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == 60);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardSeconds(100L);
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.Period period3 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration1, readableInstant2);
    java.lang.String str4 = duration1.toString();
    org.joda.time.Duration duration5 = duration1.toDuration();
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.Period period9 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration5, readableInstant6, periodType7);
    org.joda.time.PeriodType periodType10 = periodType7.withWeeksRemoved();
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Duration duration14 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType15 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology16 = null;
    org.joda.time.Period period17 = duration14.toPeriod(periodType15, chronology16);
    org.joda.time.Period period18 = duration14.toPeriod();
    org.joda.time.Period period19 = new org.joda.time.Period(readableInstant11, (org.joda.time.ReadableDuration)duration14);
    org.joda.time.ReadableInstant readableInstant20 = null;
    org.joda.time.Interval interval21 = duration14.toIntervalFrom(readableInstant20);
    org.joda.time.Duration duration24 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.PeriodType periodType25 = org.joda.time.PeriodType.yearDay();
    org.joda.time.Chronology chronology26 = null;
    org.joda.time.Period period27 = duration24.toPeriod(periodType25, chronology26);
    long long28 = duration24.getStandardDays();
    org.joda.time.Duration duration30 = duration14.withDurationAdded((org.joda.time.ReadableDuration)duration24, 0);
    org.joda.time.ReadableInstant readableInstant31 = null;
    org.joda.time.PeriodType periodType33 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.DateTimeZone dateTimeZone34 = null;
    org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone34);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long43 = fixedDateTimeZone40.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology44 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology35, (org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.Period period45 = new org.joda.time.Period(0L, periodType33, (org.joda.time.Chronology)zonedChronology44);
    org.joda.time.DateTimeZone dateTimeZone46 = null;
    org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone46);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone52 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long55 = fixedDateTimeZone52.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology56 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology47, (org.joda.time.DateTimeZone)fixedDateTimeZone52);
    org.joda.time.DateTimeZone dateTimeZone57 = null;
    org.joda.time.Chronology chronology58 = zonedChronology56.withZone(dateTimeZone57);
    boolean b59 = periodType33.equals((java.lang.Object)dateTimeZone57);
    org.joda.time.Period period60 = duration24.toPeriodFrom(readableInstant31, periodType33);
    org.joda.time.PeriodType periodType61 = period60.getPeriodType();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period62 = new org.joda.time.Period((java.lang.Object)periodType7, periodType61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "PT100S"+ "'", str4.equals("PT100S"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType61);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    int i16 = preciseDurationField13.getDifference(0L, 43200000L);
    org.joda.time.DurationFieldType durationFieldType17 = preciseDurationField13.getType();
    long long19 = preciseDurationField13.getValueAsLong((-633600001L));
    org.joda.time.DurationFieldType durationFieldType20 = preciseDurationField13.getType();
    org.joda.time.field.PreciseDurationField preciseDurationField22 = new org.joda.time.field.PreciseDurationField(durationFieldType20, 0L);
    long long23 = preciseDurationField22.getUnitMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 43200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 633600001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration3 = duration1.plus(1L);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Period period5 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration3, readableInstant4);
    int i6 = period5.getMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-999));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone0);
    org.joda.time.Chronology chronology2 = gregorianChronology1.withUTC();
    org.joda.time.ReadablePartial readablePartial3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = gregorianChronology1.get(readablePartial3, (-43200000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long5 = unsupportedDurationField1.add(1866239977210001L, 1866239977210001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    int i27 = unsupportedDateTimeField15.getDifference(99L, 99L);
    // The following exception was thrown during execution in test generation
    try {
      long long29 = unsupportedDateTimeField15.roundFloor((-124416825985259900L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long6 = fixedDateTimeZone4.previousTransition(1L);
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DurationField durationField8 = iSOChronology7.halfdays();
    // The following exception was thrown during execution in test generation
    try {
      long long16 = iSOChronology7.getDateTimeMillis(604800, 99, 547200, 363600000, 60, 8, (-49211000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = gregorianChronology1.getZone();
    long long6 = dateTimeZone2.convertLocalToUTC(43199999L, true, (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 43199999L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(584389, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 584389);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("Millis", 4, 34, 0, ' ', 1, 125, 101, false, 10000);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder14.setStandardOffset(356400000);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder24 = dateTimeZoneBuilder16.addCutover(184, ' ', 100, 99, 604799, true, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.Duration duration6 = period4.toDurationFrom(readableInstant5);
    org.joda.time.Duration duration8 = duration6.minus(100L);
    long long9 = duration8.getMillis();
    org.joda.time.Duration duration10 = duration8.toDuration();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-31536000100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration10);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder2 = dateTimeZoneBuilder0.setStandardOffset(1);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder5 = dateTimeZoneBuilder0.setFixedSavings("ISOChronology[]", 10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = dateTimeZoneBuilder5.addCutover(1089, ' ', (-10), 425989000, 0, false, 22789999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder5);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone2);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.Chronology chronology6 = iSOChronology3.withZone(dateTimeZone5);
    org.joda.time.Period period7 = new org.joda.time.Period(10L, chronology6);
    org.joda.time.Period period8 = new org.joda.time.Period(5940000L, chronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology6);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("19");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period2.plusDays(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.hours();
    java.lang.String str1 = periodType0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "PeriodType[Hours]"+ "'", str1.equals("PeriodType[Hours]"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    boolean b6 = fixedDateTimeZone4.isStandardOffset(99L);
    org.joda.time.chrono.CopticChronology copticChronology7 = org.joda.time.chrono.CopticChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    java.lang.String str8 = copticChronology7.toString();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long16 = fixedDateTimeZone13.convertLocalToUTC(0L, false);
    java.lang.String str17 = fixedDateTimeZone13.toString();
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    org.joda.time.DurationField durationField19 = copticChronology7.months();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone24 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    java.lang.String str26 = fixedDateTimeZone24.getName(10L);
    org.joda.time.chrono.ZonedChronology zonedChronology27 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)copticChronology7, (org.joda.time.DateTimeZone)fixedDateTimeZone24);
    org.joda.time.ReadableDuration readableDuration28 = null;
    org.joda.time.ReadableInstant readableInstant29 = null;
    org.joda.time.Period period30 = new org.joda.time.Period(readableDuration28, readableInstant29);
    org.joda.time.Period period32 = period30.minusYears(1);
    org.joda.time.Period period34 = period32.minusMonths((-1));
    int i35 = period32.getHours();
    org.joda.time.DurationFieldType durationFieldType36 = null;
    int i37 = period32.get(durationFieldType36);
    org.joda.time.PeriodType periodType38 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType39 = periodType38.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType41 = periodType39.getFieldType(0);
    org.joda.time.Period period43 = period32.withFieldAdded(durationFieldType41, 100);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array46 = zonedChronology27.get((org.joda.time.ReadablePeriod)period43, 1000L, (-124416825985259900L));
      org.junit.Assert.fail("Expected exception of type org.joda.time.chrono.LimitChronology.LimitException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.chrono.LimitChronology.LimitException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.chrono.LimitChronology.LimitException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "CopticChronology[]"+ "'", str8.equals("CopticChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "+00:00"+ "'", str26.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period43);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    // The following exception was thrown during execution in test generation
    try {
      int i26 = unsupportedDateTimeField15.getLeapAmount(12246466789000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-999));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 999);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    org.joda.time.ReadablePartial readablePartial75 = null;
    int[] i_array78 = new int[] { (-1), 1 };
    int i79 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial75, i_array78);
    org.joda.time.ReadablePartial readablePartial80 = null;
    int i81 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial80);
    int i83 = zeroIsMaxDateTimeField25.getMaximumValue(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 60);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    java.lang.String str14 = illegalFieldValueException13.toString();
    java.lang.Number number15 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException13.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"+00:00\" for halfdayOfDay is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "+00:00"+ "'", str16.equals("+00:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "+00:00"+ "'", str17.equals("+00:00"));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Period period6 = period4.withMillis((-9119));
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Hours hours7 = period6.toStandardHours();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)249, (java.lang.Number)(-2488320086400000L), (java.lang.Number)604740000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = iSOChronology1.getZone();
    org.joda.time.chrono.CopticChronology copticChronology3 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone2);
    java.util.TimeZone timeZone4 = null;
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
    long long7 = dateTimeZone5.convertUTCToLocal((-20410001L));
    org.joda.time.Chronology chronology8 = copticChronology3.withZone(dateTimeZone5);
    org.joda.time.ReadablePartial readablePartial9 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long11 = copticChronology3.set(readablePartial9, 984527956800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-20410001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    org.joda.time.ReadablePartial readablePartial75 = null;
    org.joda.time.DateTimeZone dateTimeZone77 = null;
    org.joda.time.chrono.ISOChronology iSOChronology78 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone77);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone83 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long86 = fixedDateTimeZone83.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology87 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology78, (org.joda.time.DateTimeZone)fixedDateTimeZone83);
    org.joda.time.ReadableDuration readableDuration88 = null;
    org.joda.time.ReadableInstant readableInstant89 = null;
    org.joda.time.Period period90 = new org.joda.time.Period(readableDuration88, readableInstant89);
    org.joda.time.Period period92 = period90.minusYears(1);
    org.joda.time.Period period94 = period90.plusSeconds((-1));
    org.joda.time.Seconds seconds95 = period94.toStandardSeconds();
    int[] i_array97 = zonedChronology87.get((org.joda.time.ReadablePeriod)period94, (-20410001L));
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array99 = zeroIsMaxDateTimeField25.addWrapField(readablePartial75, 604201920, i_array97, (-14340000));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long86 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array97);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
    long long12 = offsetDateTimeField5.add((-100L), 0L);
    java.util.Locale locale14 = null;
    java.lang.String str15 = offsetDateTimeField5.getAsText(10, locale14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = offsetDateTimeField5.set((-60000L), 10000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "10"+ "'", str15.equals("10"));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forOffsetHours(100);
    org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, dateTimeZone5);
    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone5);
    org.joda.time.DateTimeField dateTimeField8 = gregorianChronology7.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    java.util.Locale locale27 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long28 = unsupportedDateTimeField15.set(393940800000L, "YearDay", locale27);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("Millis", 4, 34, 0, ' ', 1, 125, 101, false, 10000);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder14.setStandardOffset(356400000);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder27 = dateTimeZoneBuilder16.addRecurringSavings("+01:01", 8, (-6566421), 576091, ' ', 8, 0, 0, true, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Period period2 = new org.joda.time.Period(readableDuration0, readableInstant1);
    org.joda.time.Period period4 = period2.minusYears(1);
    org.joda.time.Duration duration5 = period2.toStandardDuration();
    org.joda.time.DurationFieldType durationFieldType6 = null;
    boolean b7 = period2.isSupported(durationFieldType6);
    org.joda.time.Period period9 = period2.withDays(60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    org.joda.time.DurationField durationField19 = unsupportedDateTimeField15.getLeapDurationField();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = unsupportedDateTimeField15.getType();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = unsupportedDateTimeField15.getAsText(99L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    org.joda.time.DurationField durationField19 = unsupportedDateTimeField15.getLeapDurationField();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = unsupportedDateTimeField15.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long22 = unsupportedDateTimeField15.roundFloor((-57600000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.centuryOfEra();
    org.joda.time.Period period12 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period14 = period12.minusMinutes(10);
    org.joda.time.Hours hours15 = period14.toStandardHours();
    int i16 = period14.getDays();
    int i17 = period14.size();
    int[] i_array19 = iSOChronology4.get((org.joda.time.ReadablePeriod)period14, 99L);
    // The following exception was thrown during execution in test generation
    try {
      int i21 = period14.getValue(363600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType3 = periodType1.getFieldType(0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField4 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField5 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = unsupportedDurationField5.getValueAsLong(100L, 43199999L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField5);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-339L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-339));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-360711600000L), (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-360711599989L));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(633660001L, 12246466789000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 12247100449001L);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.joda.time.Duration duration2 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Period period4 = duration2.toPeriodFrom(readableInstant3);
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType6 = periodType5.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone7);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology8.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology8.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone12);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long21 = fixedDateTimeZone18.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology22 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology13, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.chrono.ZonedChronology zonedChronology23 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology8, (org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone24);
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology25.getZone();
    org.joda.time.Chronology chronology27 = zonedChronology23.withZone(dateTimeZone26);
    org.joda.time.Period period28 = duration2.toPeriod(periodType5, chronology27);
    org.joda.time.DurationFieldType[] durationFieldType_array29 = period28.getFieldTypes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType_array29);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
    long long11 = offsetDateTimeField5.roundFloor(100L);
    org.joda.time.ReadablePartial readablePartial12 = null;
    int[] i_array14 = null;
    java.util.Locale locale16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array17 = offsetDateTimeField5.set(readablePartial12, 999, i_array14, "org.joda.time.IllegalFieldValueException: Value \"10\" for CopticChronology[] is not supported", locale16);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("PT8M100S", "", 125, (-100));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Period period5 = period3.withMinutes(100);
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Duration duration8 = new org.joda.time.Duration(readableInstant6, readableInstant7);
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.ReadableInstant readableInstant10 = null;
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.PeriodType periodType12 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType13 = periodType12.withHoursRemoved();
    org.joda.time.Period period14 = new org.joda.time.Period(readableInstant10, readableInstant11, periodType13);
    org.joda.time.Period period15 = duration8.toPeriodFrom(readableInstant9, periodType13);
    org.joda.time.ReadableInstant readableInstant16 = null;
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.PeriodType periodType18 = org.joda.time.PeriodType.yearDay();
    org.joda.time.PeriodType periodType19 = periodType18.withHoursRemoved();
    org.joda.time.Period period20 = new org.joda.time.Period(readableInstant16, readableInstant17, periodType19);
    org.joda.time.Period period21 = duration8.toPeriod(periodType19);
    org.joda.time.Period period22 = period5.withFields((org.joda.time.ReadablePeriod)period21);
    org.joda.time.Seconds seconds23 = period21.toStandardSeconds();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(seconds23);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    java.io.Writer writer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.writePaddedInteger(writer0, 47024390000L, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-6566421));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6566421);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeZone dateTimeZone2 = iSOChronology1.getZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone2);
    // The following exception was thrown during execution in test generation
    try {
      long long11 = gregorianChronology3.getDateTimeMillis(10, 0, (-100), 7, 604800, 547200, 34);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
    org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period35 = period33.minusMinutes(10);
    long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
    org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
    long long42 = durationField39.subtract(100L, 1);
    org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
    int i45 = preciseDateTimeField43.get((-57600000L));
    org.joda.time.DurationField durationField46 = preciseDateTimeField43.getRangeDurationField();
    long long48 = preciseDateTimeField43.roundHalfEven(425989000L);
    org.joda.time.ReadablePartial readablePartial49 = null;
    org.joda.time.ReadableDuration readableDuration51 = null;
    org.joda.time.ReadableInstant readableInstant52 = null;
    org.joda.time.Period period53 = new org.joda.time.Period(readableDuration51, readableInstant52);
    org.joda.time.Period period55 = period53.minusYears(1);
    org.joda.time.Period period57 = period55.minusMonths((-1));
    int i58 = period55.getHours();
    org.joda.time.DurationFieldType durationFieldType59 = null;
    int i60 = period55.get(durationFieldType59);
    org.joda.time.PeriodType periodType61 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType62 = periodType61.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType64 = periodType62.getFieldType(0);
    org.joda.time.Period period66 = period55.withFieldAdded(durationFieldType64, 100);
    int[] i_array67 = period55.getValues();
    java.util.Locale locale69 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array70 = preciseDateTimeField43.set(readablePartial49, (-9119), i_array67, "DateTimeField[halfdayOfDay]", locale69);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == (-604799900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 547200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.joda.time.Period period1 = org.joda.time.Period.years(68);
    org.joda.time.Period period3 = period1.minusMinutes((-49211000));
    org.joda.time.Period period4 = period1.toPeriod();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    int i27 = unsupportedDateTimeField15.getDifference(99L, 99L);
    long long30 = unsupportedDateTimeField15.add(100L, 34);
    org.joda.time.ReadablePartial readablePartial31 = null;
    org.joda.time.Duration duration35 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant36 = null;
    org.joda.time.Period period37 = duration35.toPeriodFrom(readableInstant36);
    org.joda.time.PeriodType periodType38 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType39 = periodType38.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone40 = null;
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone40);
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology41.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField43 = iSOChronology41.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField44 = iSOChronology41.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone45 = null;
    org.joda.time.chrono.ISOChronology iSOChronology46 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone45);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone51 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long54 = fixedDateTimeZone51.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology55 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology46, (org.joda.time.DateTimeZone)fixedDateTimeZone51);
    org.joda.time.chrono.ZonedChronology zonedChronology56 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology41, (org.joda.time.DateTimeZone)fixedDateTimeZone51);
    org.joda.time.DateTimeZone dateTimeZone57 = null;
    org.joda.time.chrono.ISOChronology iSOChronology58 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone57);
    org.joda.time.DateTimeZone dateTimeZone59 = iSOChronology58.getZone();
    org.joda.time.Chronology chronology60 = zonedChronology56.withZone(dateTimeZone59);
    org.joda.time.Period period61 = duration35.toPeriod(periodType38, chronology60);
    org.joda.time.MutablePeriod mutablePeriod62 = period61.toMutablePeriod();
    int[] i_array63 = period61.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array65 = unsupportedDateTimeField15.add(readablePartial31, (-841539), i_array63, 22789999);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 134L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(146879999999L, 5940000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 872467199994060000L);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone2);
    org.joda.time.Period period4 = new org.joda.time.Period((-6010001L), 1L, (org.joda.time.Chronology)iSOChronology3);
    org.joda.time.Period period6 = period4.minusMillis(100);
    int i7 = period6.getHours();
    org.joda.time.Days days8 = period6.toStandardDays();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days8);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.joda.time.Period period4 = new org.joda.time.Period((-9119), (-14340000), 184, 8);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "GregorianChronology[]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-22789999L));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType3 = periodType2.withMonthsRemoved();
    int i4 = periodType2.size();
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, readableInstant1, periodType2);
    int i6 = period5.getYears();
    org.joda.time.PeriodType periodType7 = org.joda.time.PeriodType.yearMonthDayTime();
    org.joda.time.PeriodType periodType8 = periodType7.withHoursRemoved();
    org.joda.time.DurationFieldType durationFieldType10 = periodType8.getFieldType(0);
    int i11 = period5.get(durationFieldType10);
    org.joda.time.field.PreciseDurationField preciseDurationField13 = new org.joda.time.field.PreciseDurationField(durationFieldType10, (-1L));
    int i16 = preciseDurationField13.getDifference(0L, 43200000L);
    org.joda.time.DurationFieldType durationFieldType17 = preciseDurationField13.getType();
    long long19 = preciseDurationField13.getValueAsLong((-633600001L));
    org.joda.time.DurationFieldType durationFieldType20 = preciseDurationField13.getType();
    org.joda.time.field.PreciseDurationField preciseDurationField22 = new org.joda.time.field.PreciseDurationField(durationFieldType20, 0L);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType20);
    // The following exception was thrown during execution in test generation
    try {
      long long25 = unsupportedDurationField23.getValueAsLong(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 43200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 633600001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.joda.time.Period period1 = org.joda.time.Period.millis(1);
    org.joda.time.Period period3 = period1.plusSeconds(10);
    org.joda.time.Period period5 = period1.plusMillis(1);
    int i6 = period5.size();
    int i7 = period5.getHours();
    int i8 = period5.getYears();
    org.joda.time.Period period10 = period5.withYears(125);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Weeks weeks11 = period10.toStandardWeeks();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("PeriodType[Hours]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    boolean b16 = unsupportedDateTimeField15.isSupported();
    java.util.Locale locale18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = unsupportedDateTimeField15.getAsShortText(0, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.millisOfSecond();
    org.joda.time.DurationField durationField5 = iSOChronology1.halfdays();
    org.joda.time.DurationField durationField6 = iSOChronology1.weeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField6);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-28800001L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long9 = fixedDateTimeZone6.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology10 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    int i12 = fixedDateTimeZone6.getStandardOffset(0L);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder13 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder16 = dateTimeZoneBuilder13.setFixedSavings("100", 8);
    org.joda.time.DateTimeZone dateTimeZone19 = dateTimeZoneBuilder16.toDateTimeZone("hi!", true);
    org.joda.time.DateTimeZone dateTimeZone22 = dateTimeZoneBuilder16.toDateTimeZone("8", false);
    org.joda.time.DateTimeZone dateTimeZone25 = dateTimeZoneBuilder16.toDateTimeZone("604800", false);
    long long27 = fixedDateTimeZone6.getMillisKeepLocal(dateTimeZone25, (-604800000L));
    java.lang.String str29 = fixedDateTimeZone6.getNameKey((-51600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == (-604800008L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "hi!"+ "'", str29.equals("hi!"));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.CopticChronology copticChronology1 = org.joda.time.chrono.CopticChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = copticChronology1.weeks();
    long long5 = durationField2.subtract(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(copticChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 100L);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    int i27 = unsupportedDateTimeField15.getDifference(99L, 99L);
    long long30 = unsupportedDateTimeField15.add(100L, 34);
    org.joda.time.ReadablePartial readablePartial31 = null;
    int[] i_array33 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array35 = unsupportedDateTimeField15.addWrapField(readablePartial31, (-49211000), i_array33, (-999));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 134L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    boolean b15 = unsupportedDurationField1.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDurationField1.getValueAsLong((-11L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    java.util.Locale locale10 = null;
    java.lang.String str11 = offsetDateTimeField5.getAsShortText(10, locale10);
    java.util.Locale locale13 = null;
    java.lang.String str14 = offsetDateTimeField5.getAsText(100, locale13);
    boolean b16 = offsetDateTimeField5.isLeap(984527956800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "10"+ "'", str11.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "100"+ "'", str14.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(0L);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Period period4 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration2, readableInstant3);
    org.joda.time.Period period5 = new org.joda.time.Period(readableInstant0, (org.joda.time.ReadableDuration)duration2);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forOffsetHours(100);
    org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, dateTimeZone5);
    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone5);
    org.joda.time.DateTimeField dateTimeField8 = gregorianChronology7.centuryOfEra();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-60000L), (-41472001440L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2488320086400000L);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.weekyears();
    org.joda.time.Chronology chronology13 = iSOChronology1.withUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone6);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField11 = new org.joda.time.field.OffsetDateTimeField(dateTimeField9, 100);
    long long13 = offsetDateTimeField11.roundHalfCeiling(10L);
    long long15 = offsetDateTimeField11.remainder((-2488320086400000L));
    int i17 = offsetDateTimeField11.getLeapAmount((-57600001L));
    java.lang.String str19 = offsetDateTimeField11.getAsText(1089L);
    org.joda.time.DateTimeZone dateTimeZone20 = null;
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone20);
    org.joda.time.DateTimeField dateTimeField22 = iSOChronology21.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone23 = null;
    org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone23);
    org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology24.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField28 = new org.joda.time.field.OffsetDateTimeField(dateTimeField26, 100);
    long long31 = offsetDateTimeField28.add(100L, 0L);
    boolean b33 = offsetDateTimeField28.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = offsetDateTimeField28.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType34, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField40 = new org.joda.time.field.OffsetDateTimeField(dateTimeField22, dateTimeFieldType34, 4, 4, 0);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField11, dateTimeFieldType34, 68, 8, 604800);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField45 = new org.joda.time.field.ZeroIsMaxDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "100"+ "'", str19.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType34);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long8 = fixedDateTimeZone6.previousTransition(1L);
    long long10 = dateTimeZone1.getMillisKeepLocal((org.joda.time.DateTimeZone)fixedDateTimeZone6, (-1L));
    java.util.TimeZone timeZone11 = dateTimeZone1.toTimeZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone1);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = gregorianChronology12.getDateTimeMillis(6566421, 22789999, (-10), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    org.joda.time.DurationField durationField19 = unsupportedDateTimeField15.getLeapDurationField();
    // The following exception was thrown during execution in test generation
    try {
      int i20 = unsupportedDateTimeField15.getMaximumValue();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField19);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i1 = gregorianChronology0.getMinimumDaysInFirstWeek();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = gregorianChronology0.getDateTimeMillis(4, 356400000, 10, 101);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.roundHalfCeiling((-14400000L));
    long long12 = offsetDateTimeField5.add((-100L), 0L);
    int i15 = offsetDateTimeField5.getDifference((-20410001L), 22789999L);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone16);
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField(dateTimeField19, 100);
    long long24 = offsetDateTimeField21.add(100L, 0L);
    boolean b26 = offsetDateTimeField21.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = offsetDateTimeField21.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType27, "+00:00");
    org.joda.time.field.DividedDateTimeField dividedDateTimeField31 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField5, dateTimeFieldType27, 100);
    int i34 = dividedDateTimeField31.getDifference(0L, 100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = dividedDateTimeField31.getType();
    org.joda.time.DateTimeZone dateTimeZone36 = null;
    org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone36);
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone39 = null;
    org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone39);
    org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology40.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField44 = new org.joda.time.field.OffsetDateTimeField(dateTimeField42, 100);
    long long47 = offsetDateTimeField44.add(100L, 0L);
    boolean b49 = offsetDateTimeField44.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType50 = offsetDateTimeField44.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType50, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField38, dateTimeFieldType50, 4, 4, 0);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField57 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField31, dateTimeFieldType50);
    long long59 = remainderDateTimeField57.roundHalfCeiling((-43200000L));
    int i60 = remainderDateTimeField57.getDivisor();
    // The following exception was thrown during execution in test generation
    try {
      long long63 = remainderDateTimeField57.addWrapField((-11L), 584389);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long59 == (-43200000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 100);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(146879999999L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forOffsetHours(100);
    org.joda.time.chrono.ZonedChronology zonedChronology6 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, dateTimeZone5);
    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone5);
    org.joda.time.DateTimeField dateTimeField8 = gregorianChronology7.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DurationField durationField5 = iSOChronology4.seconds();
    org.joda.time.Period period7 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period9 = period7.minusMinutes(10);
    long long12 = iSOChronology4.add((org.joda.time.ReadablePeriod)period9, (-1L), 10);
    org.joda.time.DurationField durationField13 = iSOChronology4.eras();
    int i14 = unsupportedDurationField1.compareTo(durationField13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
    org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period35 = period33.minusMinutes(10);
    long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
    org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
    long long42 = durationField39.subtract(100L, 1);
    org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, (java.lang.Number)100.0f, "PT100S");
    java.lang.String str47 = illegalFieldValueException46.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == (-604799900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "halfdayOfDay"+ "'", str47.equals("halfdayOfDay"));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    // The following exception was thrown during execution in test generation
    try {
      long long77 = zeroIsMaxDateTimeField25.set(1089L, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardMinutes(425989000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone5);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long14 = fixedDateTimeZone11.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology15 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology6, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.ZonedChronology zonedChronology16 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology1, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.Chronology chronology17 = zonedChronology16.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      long long23 = zonedChronology16.getDateTimeMillis((-360711599989L), (-100), 1, 604800, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.ReadablePartial readablePartial26 = null;
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Duration duration29 = new org.joda.time.Duration(readableInstant27, readableInstant28);
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone30);
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology31.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology31.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology31.millisOfSecond();
    org.joda.time.Period period35 = duration29.toPeriod((org.joda.time.Chronology)iSOChronology31);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology31.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 101);
    org.joda.time.DateTimeField dateTimeField39 = offsetDateTimeField38.getWrappedField();
    org.joda.time.ReadablePartial readablePartial40 = null;
    org.joda.time.Duration duration42 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration44 = duration42.plus(1L);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Period period46 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration44, readableInstant45);
    int[] i_array47 = period46.getValues();
    int i48 = offsetDateTimeField38.getMaximumValue(readablePartial40, i_array47);
    int i49 = zeroIsMaxDateTimeField25.getMinimumValue(readablePartial26, i_array47);
    int i51 = zeroIsMaxDateTimeField25.getLeapAmount(60000L);
    org.joda.time.ReadablePartial readablePartial52 = null;
    org.joda.time.ReadableInstant readableInstant53 = null;
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.Duration duration55 = new org.joda.time.Duration(readableInstant53, readableInstant54);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone56);
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField59 = iSOChronology57.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField60 = iSOChronology57.millisOfSecond();
    org.joda.time.Period period61 = duration55.toPeriod((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology57.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField62, 101);
    org.joda.time.ReadablePartial readablePartial65 = null;
    org.joda.time.Duration duration67 = org.joda.time.Duration.standardDays((-28800001L));
    org.joda.time.Duration duration69 = duration67.plus(1L);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Period period71 = new org.joda.time.Period((org.joda.time.ReadableDuration)duration69, readableInstant70);
    int[] i_array72 = period71.getValues();
    int i73 = offsetDateTimeField64.getMaximumValue(readablePartial65, i_array72);
    int i74 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial52, i_array72);
    org.joda.time.ReadablePartial readablePartial75 = null;
    int[] i_array78 = new int[] { (-1), 1 };
    int i79 = zeroIsMaxDateTimeField25.getMaximumValue(readablePartial75, i_array78);
    long long81 = zeroIsMaxDateTimeField25.roundFloor(99L);
    // The following exception was thrown during execution in test generation
    try {
      long long84 = zeroIsMaxDateTimeField25.add(0L, (-124416431999999900L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long81 == 0L);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Duration duration2 = new org.joda.time.Duration(readableInstant0, readableInstant1);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology4.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology4.millisOfSecond();
    org.joda.time.Period period8 = duration2.toPeriod((org.joda.time.Chronology)iSOChronology4);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology4.clockhourOfDay();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology4.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long19 = offsetDateTimeField16.add(100L, 0L);
    boolean b21 = offsetDateTimeField16.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = offsetDateTimeField16.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType22, "+00:00");
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField25 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField10, dateTimeFieldType22);
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DurationField durationField28 = iSOChronology27.seconds();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DurationField durationField31 = iSOChronology30.seconds();
    org.joda.time.Period period33 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period35 = period33.minusMinutes(10);
    long long38 = iSOChronology30.add((org.joda.time.ReadablePeriod)period35, (-1L), 10);
    org.joda.time.DurationField durationField39 = iSOChronology30.weeks();
    long long42 = durationField39.subtract(100L, 1);
    org.joda.time.field.PreciseDateTimeField preciseDateTimeField43 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType22, durationField28, durationField39);
    int i45 = preciseDateTimeField43.get((-57600000L));
    int i46 = preciseDateTimeField43.getMaximumValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == (-604799900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 547200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 604799);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 100);
    long long8 = offsetDateTimeField6.roundHalfCeiling(10L);
    long long10 = offsetDateTimeField6.roundHalfCeiling((-14400000L));
    long long13 = offsetDateTimeField6.add((-100L), 0L);
    int i16 = offsetDateTimeField6.getDifference((-20410001L), 22789999L);
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone17);
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology18.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField(dateTimeField20, 100);
    long long25 = offsetDateTimeField22.add(100L, 0L);
    boolean b27 = offsetDateTimeField22.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = offsetDateTimeField22.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType28, "+00:00");
    org.joda.time.field.DividedDateTimeField dividedDateTimeField32 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField6, dateTimeFieldType28, 100);
    int i35 = dividedDateTimeField32.getDifference(0L, 100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = dividedDateTimeField32.getType();
    org.joda.time.DateTimeZone dateTimeZone37 = null;
    org.joda.time.chrono.ISOChronology iSOChronology38 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone37);
    org.joda.time.DateTimeField dateTimeField39 = iSOChronology38.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone40 = null;
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone40);
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology41.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField43 = iSOChronology41.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField45 = new org.joda.time.field.OffsetDateTimeField(dateTimeField43, 100);
    long long48 = offsetDateTimeField45.add(100L, 0L);
    boolean b50 = offsetDateTimeField45.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = offsetDateTimeField45.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException53 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType51, "+00:00");
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField57 = new org.joda.time.field.OffsetDateTimeField(dateTimeField39, dateTimeFieldType51, 4, 4, 0);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField58 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField32, dateTimeFieldType51);
    org.joda.time.ReadableInstant readableInstant59 = null;
    org.joda.time.ReadableInstant readableInstant60 = null;
    org.joda.time.Duration duration61 = new org.joda.time.Duration(readableInstant59, readableInstant60);
    org.joda.time.DateTimeZone dateTimeZone62 = null;
    org.joda.time.chrono.ISOChronology iSOChronology63 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone62);
    org.joda.time.DateTimeField dateTimeField64 = iSOChronology63.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField65 = iSOChronology63.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField66 = iSOChronology63.millisOfSecond();
    org.joda.time.Period period67 = duration61.toPeriod((org.joda.time.Chronology)iSOChronology63);
    org.joda.time.DateTimeField dateTimeField68 = iSOChronology63.clockhourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField70 = new org.joda.time.field.OffsetDateTimeField(dateTimeField68, 101);
    org.joda.time.DateTimeField dateTimeField71 = offsetDateTimeField70.getWrappedField();
    org.joda.time.DateTimeZone dateTimeZone72 = null;
    org.joda.time.chrono.ISOChronology iSOChronology73 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone72);
    org.joda.time.DateTimeField dateTimeField74 = iSOChronology73.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField75 = iSOChronology73.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField77 = new org.joda.time.field.OffsetDateTimeField(dateTimeField75, 100);
    long long80 = offsetDateTimeField77.add(100L, 0L);
    int i82 = offsetDateTimeField77.getMaximumValue(99L);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = offsetDateTimeField77.getType();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField85 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField70, dateTimeFieldType83, 8);
    org.joda.time.field.DividedDateTimeField dividedDateTimeField86 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField58, dateTimeFieldType83);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField88 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType83, 1089);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long80 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.joda.time.Duration duration1 = org.joda.time.Duration.standardHours((-10079L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(duration1);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("100", 8);
    java.io.DataOutput dataOutput5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("101", dataOutput5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    boolean b10 = offsetDateTimeField5.isLeap(1089L);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField5.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, "+00:00");
    org.joda.time.DurationField durationField14 = org.joda.time.field.MillisDurationField.INSTANCE;
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField15 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType11, durationField14);
    long long18 = unsupportedDateTimeField15.getDifferenceAsLong(393942061089L, (-100L));
    long long21 = unsupportedDateTimeField15.getDifferenceAsLong((-604799900L), (-633600001L));
    long long24 = unsupportedDateTimeField15.add(100L, (-14400000L));
    int i27 = unsupportedDateTimeField15.getDifference(99L, 99L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str29 = unsupportedDateTimeField15.getAsShortText(43200000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 393942061189L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 28800101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-14399900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long8 = offsetDateTimeField5.add(100L, 0L);
    java.util.Locale locale10 = null;
    java.lang.String str11 = offsetDateTimeField5.getAsShortText(10, locale10);
    int i13 = offsetDateTimeField5.getLeapAmount(0L);
    long long16 = offsetDateTimeField5.getDifferenceAsLong((-100L), (-43200000L));
    java.util.Locale locale18 = null;
    java.lang.String str19 = offsetDateTimeField5.getAsShortText(184, locale18);
    org.joda.time.ReadablePartial readablePartial20 = null;
    org.joda.time.Duration duration24 = new org.joda.time.Duration((-1L), (-1L));
    org.joda.time.ReadableInstant readableInstant25 = null;
    org.joda.time.Period period26 = duration24.toPeriodFrom(readableInstant25);
    org.joda.time.PeriodType periodType27 = org.joda.time.PeriodType.millis();
    org.joda.time.PeriodType periodType28 = periodType27.withMonthsRemoved();
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DateTimeField dateTimeField31 = iSOChronology30.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField32 = iSOChronology30.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology30.secondOfMinute();
    org.joda.time.DateTimeZone dateTimeZone34 = null;
    org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone34);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long43 = fixedDateTimeZone40.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology44 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology35, (org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.chrono.ZonedChronology zonedChronology45 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology30, (org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateTimeZone dateTimeZone46 = null;
    org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone46);
    org.joda.time.DateTimeZone dateTimeZone48 = iSOChronology47.getZone();
    org.joda.time.Chronology chronology49 = zonedChronology45.withZone(dateTimeZone48);
    org.joda.time.Period period50 = duration24.toPeriod(periodType27, chronology49);
    org.joda.time.MutablePeriod mutablePeriod51 = period50.toMutablePeriod();
    int[] i_array52 = period50.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array54 = offsetDateTimeField5.addWrapField(readablePartial20, 547200, i_array52, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "10"+ "'", str11.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "184"+ "'", str19.equals("184"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology1.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 100);
    long long7 = offsetDateTimeField5.roundHalfCeiling(10L);
    long long9 = offsetDateTimeField5.remainder((-2488320086400000L));
    java.util.Locale locale11 = null;
    java.lang.String str12 = offsetDateTimeField5.getAsText(0L, locale11);
    org.joda.time.DurationField durationField13 = offsetDateTimeField5.getRangeDurationField();
    java.lang.String str14 = offsetDateTimeField5.getName();
    long long16 = offsetDateTimeField5.roundHalfFloor((-22789999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "100"+ "'", str12.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "halfdayOfDay"+ "'", str14.equals("halfdayOfDay"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-43200000L));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    java.lang.StringBuffer stringBuffer0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.FormatUtils.appendUnpaddedInteger(stringBuffer0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DurationField durationField10 = iSOChronology1.eras();
    org.joda.time.DateTimeZone dateTimeZone11 = null;
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone11);
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfWeek();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology12.halfdayOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 100);
    long long18 = offsetDateTimeField16.roundHalfCeiling(10L);
    org.joda.time.DurationField durationField19 = offsetDateTimeField16.getLeapDurationField();
    boolean b20 = iSOChronology1.equals((java.lang.Object)offsetDateTimeField16);
    org.joda.time.ReadablePartial readablePartial21 = null;
    org.joda.time.Period period24 = org.joda.time.Period.millis(1);
    org.joda.time.Period period26 = period24.plusSeconds(10);
    org.joda.time.Period period28 = period24.plusMillis(1);
    org.joda.time.Period period30 = org.joda.time.Period.millis(1);
    org.joda.time.Period period32 = period30.plusSeconds(10);
    org.joda.time.Period period34 = period30.plusMillis(1);
    int i35 = period34.size();
    org.joda.time.Period period36 = period28.withFields((org.joda.time.ReadablePeriod)period34);
    int[] i_array37 = period28.getValues();
    java.util.Locale locale39 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array40 = offsetDateTimeField16.set(readablePartial21, 43200000, i_array37, "org.joda.time.IllegalFieldValueException: 100: Value \"+00:00\" for halfdayOfDay is not supported", locale39);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.seconds();
    org.joda.time.Period period4 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period6 = period4.minusMinutes(10);
    long long9 = iSOChronology1.add((org.joda.time.ReadablePeriod)period6, (-1L), 10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.Chronology chronology11 = iSOChronology1.withZone(dateTimeZone10);
    org.joda.time.DurationField durationField12 = iSOChronology1.eras();
    long long16 = iSOChronology1.add(99L, 99L, 10);
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology1.weekOfWeekyear();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology1.halfdayOfDay();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology1.weekOfWeekyear();
    org.joda.time.ReadablePartial readablePartial21 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long23 = iSOChronology1.set(readablePartial21, (-63610034L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-6010001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 1089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = unsupportedDurationField1.getType();
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "hi!", 0, 0);
    long long12 = fixedDateTimeZone9.convertLocalToUTC(0L, false);
    org.joda.time.chrono.ZonedChronology zonedChronology13 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology4, (org.joda.time.DateTimeZone)fixedDateTimeZone9);
    int i15 = fixedDateTimeZone9.getStandardOffset(0L);
    boolean b16 = unsupportedDurationField1.equals((java.lang.Object)fixedDateTimeZone9);
    // The following exception was thrown during execution in test generation
    try {
      int i19 = unsupportedDurationField1.getDifference((-99L), 340167L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.joda.time.Period period1 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period3 = period1.minusMinutes(10);
    org.joda.time.Hours hours4 = period3.toStandardHours();
    org.joda.time.Period period6 = org.joda.time.Period.seconds((-1));
    org.joda.time.Period period8 = period6.minusMinutes(10);
    org.joda.time.Period period9 = period3.minus((org.joda.time.ReadablePeriod)period6);
    int i10 = period3.getMillis();
    int i11 = period3.getYears();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

}
